Bug 272495 - Crash in TaskManager::TaskItem::task
Summary: Crash in TaskManager::TaskItem::task
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: general (show other bugs)
Version: 4.8.4
Platform: Ubuntu Packages Linux
: NOR crash with 29 votes (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
: 277548 280744 285368 285812 285964 285979 286030 286173 286211 286232 286250 286254 286257 286268 286299 286335 286582 286777 286785 286823 286920 286963 286968 287014 287059 287148 287181 287277 287545 287588 287611 287637 287670 287714 288000 288054 288114 288156 288181 288260 288295 288343 288383 288430 288468 288525 288553 288630 288635 288636 288759 288818 288866 288894 288954 289025 289073 289169 289215 289221 289392 289432 289435 289482 289508 289513 289549 289559 289577 289579 289628 289632 289660 289669 289676 289683 289704 289714 289736 289738 289748 289752 289757 289826 289873 289940 289952 289957 289985 290004 290030 290032 290070 290071 290081 290101 290106 290129 290147 290148 290152 290165 290178 290185 290194 290199 290213 290215 290218 290268 290280 290289 290291 290300 290336 290364 290372 290414 290427 290431 290449 290453 290499 290505 290506 290507 290519 290538 290559 290561 290581 290597 290635 290641 290654 290664 290672 290674 290677 290685 290686 290700 290713 290717 290741 290751 290761 290795 290810 290813 290859 290870 290881 290926 290943 290969 290993 290994 290995 291000 291036 291046 291054 291073 291121 291125 291127 291180 291187 291212 291217 291218 291225 291241 291254 291255 291257 291285 291295 291298 291334 291338 291373 291377 291392 291398 291405 291409 291419 291431 291439 291447 291487 291510 291511 291530 291555 291569 291577 291600 291610 291619 291620 291642 291664 291679 291680 291689 291755 291780 291785 291787 291848 291854 291860 291884 291889 291893 291905 291911 291914 291918 291919 291943 291974 291986 292002 292003 292026 292035 292043 292051 292063 292070 292079 292102 292104 292112 292153 292162 292177 292186 292187 292220 292242 292253 292254 292259 292267 292271 292310 292341 292354 292361 292417 292434 292479 292512 292899 293085 301910 307440 309118 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-05-05 04:53 UTC by Michael Vastola
Modified: 2013-10-29 10:00 UTC (History)
229 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (6.43 KB, text/plain)
2011-09-09 15:28 UTC, Unknown
Details
New crash information added by DrKonqi (17.99 KB, text/plain)
2011-11-04 13:55 UTC, Mikko C.
Details
New crash information added by DrKonqi (13.67 KB, text/plain)
2011-11-05 19:38 UTC, Vitor Boschi da Silva
Details
New crash information added by DrKonqi (5.48 KB, text/plain)
2011-11-07 11:17 UTC, Roman K.
Details
Stacked windows (20.71 KB, image/png)
2011-11-09 22:36 UTC, Sergio Martins
Details
New crash information added by DrKonqi (13.56 KB, text/plain)
2011-11-10 01:55 UTC, Alberto Cruz
Details
New crash information added by DrKonqi (10.22 KB, text/plain)
2011-11-15 19:58 UTC, Alexander Kupcov
Details
New crash information added by DrKonqi (10.22 KB, text/plain)
2011-11-15 19:58 UTC, Alexander Kupcov
Details
New crash information added by DrKonqi (10.22 KB, text/plain)
2011-11-15 19:58 UTC, Alexander Kupcov
Details
New crash information added by DrKonqi (10.22 KB, text/plain)
2011-11-15 19:58 UTC, Alexander Kupcov
Details
New crash information added by DrKonqi (10.22 KB, text/plain)
2011-11-15 19:58 UTC, Alexander Kupcov
Details
New crash information added by DrKonqi (10.22 KB, text/plain)
2011-11-15 19:58 UTC, Alexander Kupcov
Details
New crash information added by DrKonqi (10.22 KB, text/plain)
2011-11-15 19:58 UTC, Alexander Kupcov
Details
New crash information added by DrKonqi (12.45 KB, text/plain)
2011-11-23 21:19 UTC, Sergejus
Details
New crash information added by DrKonqi (7.25 KB, text/plain)
2011-11-24 10:07 UTC, francgonzalez77
Details
New crash information added by DrKonqi (8.84 KB, text/plain)
2011-11-30 16:44 UTC, Lorenzo Fernando Bivens
Details
New crash information added by DrKonqi (8.84 KB, text/plain)
2011-11-30 16:44 UTC, Lorenzo Fernando Bivens
Details
New crash information added by DrKonqi (8.84 KB, text/plain)
2011-11-30 16:44 UTC, Lorenzo Fernando Bivens
Details
New crash information added by DrKonqi (12.15 KB, text/plain)
2011-12-04 12:23 UTC, Vadym Krevs
Details
New crash information added by DrKonqi (5.70 KB, text/plain)
2011-12-07 11:52 UTC, pinakvashi
Details
New crash information added by DrKonqi (6.53 KB, text/plain)
2011-12-07 21:12 UTC, Aram Grigoryan
Details
New crash information added by DrKonqi (6.64 KB, text/plain)
2011-12-09 10:53 UTC, Radoslav Vician
Details
New crash information added by DrKonqi (6.85 KB, text/plain)
2011-12-13 10:42 UTC, vladaz
Details
New crash information added by DrKonqi (6.39 KB, text/plain)
2011-12-21 11:29 UTC, gv
Details
New crash information added by DrKonqi (6.25 KB, text/plain)
2011-12-22 12:41 UTC, gv
Details
New crash information added by DrKonqi (6.25 KB, text/plain)
2011-12-22 12:41 UTC, gv
Details
New crash information added by DrKonqi (6.25 KB, text/plain)
2011-12-22 12:41 UTC, gv
Details
New crash information added by DrKonqi (15.27 KB, text/plain)
2011-12-23 20:16 UTC, ale.porta.87
Details
New crash information added by DrKonqi (6.35 KB, text/plain)
2011-12-23 22:55 UTC, terrorfreak
Details
New crash information added by DrKonqi (28.27 KB, text/plain)
2011-12-27 15:44 UTC, Helio Loureiro
Details
New crash information added by DrKonqi (12.89 KB, text/plain)
2011-12-28 22:29 UTC, darkwaveguru
Details
New crash information added by DrKonqi (71.65 KB, text/plain)
2012-01-02 20:16 UTC, D3v3L0per212
Details
New crash information added by DrKonqi (6.91 KB, text/plain)
2012-01-04 18:33 UTC, zigac
Details
New crash information added by DrKonqi (6.51 KB, text/plain)
2012-01-05 19:57 UTC, zigac
Details
New crash information added by DrKonqi (18.72 KB, text/plain)
2012-01-11 16:45 UTC, kdebugs
Details
New crash information added by DrKonqi (6.07 KB, text/plain)
2012-01-13 11:09 UTC, Marius Kliche
Details
New crash information added by DrKonqi (13.82 KB, text/plain)
2012-01-13 20:57 UTC, Darek Panasiuk
Details
New crash information added by DrKonqi (10.74 KB, text/plain)
2012-01-14 04:47 UTC, Kooh
Details
New crash information added by DrKonqi (30.61 KB, text/plain)
2012-01-16 18:17 UTC, Dino Ivankov
Details
New crash information added by DrKonqi (8.52 KB, text/plain)
2012-06-30 03:15 UTC, Justin Valois
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Vastola 2011-05-05 04:53:04 UTC
Application: plasma-desktop (0.4)
KDE Platform Version: 4.6.2 (4.6.2)
Qt Version: 4.7.2
Operating System: Linux 2.6.38-8-generic x86_64
Distribution: Ubuntu 11.04

-- Information about the crash:
- What I was doing when the application crashed: Nothing special. Just Iming someone.
Restarted fine when I chose that in Dr. Konqui and is just fine now..

-- Backtrace:
Application: Plasma Desktop Shell (plasma-desktop), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f95d9c577a0 (LWP 15594))]

Thread 2 (Thread 0x7f95bd47d700 (LWP 15608)):
#0  0x00007f95ce85dd9a in __pthread_mutex_unlock_usercnt (mutex=0x2765ba8) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x2765ba8) at pthread_mutex_unlock.c:290
#2  0x00007f95cdf5584e in g_main_context_check (context=0x2765ba0, max_priority=2147483647, fds=<value optimized out>, n_fds=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:2959
#3  0x00007f95cdf56122 in g_main_context_iterate (context=0x2765ba0, block=<value optimized out>, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3088
#4  0x00007f95cdf56639 in g_main_context_iteration (context=0x2765ba0, may_block=1) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3154
#5  0x00007f95d6782446 in QEventDispatcherGlib::processEvents (this=0x2b02fc0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#6  0x00007f95d6756882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f95d6756abc in QEventLoop::exec (this=0x7f95bd47cdb0, flags=...) at kernel/qeventloop.cpp:201
#8  0x00007f95d666d924 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#9  0x00007f95d6738c2f in QInotifyFileSystemWatcherEngine::run (this=0x285bf60) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007f95d6670175 in QThreadPrivate::start (arg=0x285bf60) at thread/qthread_unix.cpp:320
#11 0x00007f95ce859d8c in start_thread (arg=0x7f95bd47d700) at pthread_create.c:304
#12 0x00007f95d958104d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f95d9c577a0 (LWP 15594)):
[KCrash Handler]
#6  isNull (this=0x37b47d0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:558
#7  operator! (this=0x37b47d0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:564
#8  TaskManager::TaskItem::task (this=0x37b47d0) at ../../../libs/taskmanager/taskitem.cpp:106
#9  0x00007f95bf7467d2 in WindowTaskItem::publishIconGeometry (this=0x3528360) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007f95bf74fb0c in AbstractTaskItem::setGeometry (this=0x3528360, geometry=...) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:1014
#11 0x00007f95d614ac60 in setGeometry (this=0x35fd1a0, styleInfo=<value optimized out>, contentsGeometry=...) at graphicsview/qgridlayoutengine.cpp:701
#12 QGridLayoutEngine::setGeometries (this=0x35fd1a0, styleInfo=<value optimized out>, contentsGeometry=...) at graphicsview/qgridlayoutengine.cpp:1096
#13 0x00007f95d60d5d73 in QGraphicsGridLayout::setGeometry (this=<value optimized out>, rect=<value optimized out>) at graphicsview/qgraphicsgridlayout.cpp:636
#14 0x00007f95d614ac60 in setGeometry (this=0x33e41a0, styleInfo=<value optimized out>, contentsGeometry=...) at graphicsview/qgridlayoutengine.cpp:701
#15 QGridLayoutEngine::setGeometries (this=0x33e41a0, styleInfo=<value optimized out>, contentsGeometry=...) at graphicsview/qgridlayoutengine.cpp:1096
#16 0x00007f95d6101b83 in QGraphicsLinearLayout::setGeometry (this=<value optimized out>, rect=<value optimized out>) at graphicsview/qgraphicslinearlayout.cpp:518
#17 0x00007f95d60ffcf3 in QGraphicsLayout::activate (this=0x32852f0) at graphicsview/qgraphicslayout.cpp:272
#18 0x00007f95d60ffd69 in QGraphicsLayout::widgetEvent (this=0x32852f0, e=<value optimized out>) at graphicsview/qgraphicslayout.cpp:372
#19 0x00007f95d613da8a in QGraphicsWidget::event (this=0x36f17c0, event=0x7fffcd872670) at graphicsview/qgraphicswidget.cpp:1347
#20 0x00007f95d5b189e4 in QApplicationPrivate::notify_helper (this=0x23bb1b0, receiver=0x36f17c0, e=0x7fffcd872670) at kernel/qapplication.cpp:4462
#21 0x00007f95d5b1d3aa in QApplication::notify (this=<value optimized out>, receiver=0x36f17c0, e=0x7fffcd872670) at kernel/qapplication.cpp:4341
#22 0x00007f95d740f866 in KApplication::notify (this=0x237e610, receiver=0x36f17c0, event=0x7fffcd872670) at ../../kdeui/kernel/kapplication.cpp:311
#23 0x00007f95d675749c in QCoreApplication::notifyInternal (this=0x237e610, receiver=0x36f17c0, event=0x7fffcd872670) at kernel/qcoreapplication.cpp:731
#24 0x00007f95d613f243 in sendEvent (this=0x36f17c0, rect=...) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#25 QGraphicsWidget::setGeometry (this=0x36f17c0, rect=...) at graphicsview/qgraphicswidget.cpp:404
#26 0x00007f95d613ccb8 in QGraphicsWidget::resize (this=0x36f17c0, size=...) at graphicsview/qgraphicswidget.cpp:309
#27 0x00007f95d613d6a0 in QGraphicsWidget::adjustSize (this=0x36f17c0) at graphicsview/qgraphicswidget.cpp:846
#28 0x00007f95bf757ddc in TaskGroupItem::itemRemoved (this=0x37d2f90, groupableItem=0x3238fe0) at ../../../../../plasma/desktop/applets/tasks/taskgroupitem.cpp:558
#29 0x00007f95bf75c03d in TaskGroupItem::qt_metacall (this=0x37d2f90, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffcd872a20) at ./taskgroupitem.moc:124
#30 0x00007f95d676c5f8 in QMetaObject::activate (sender=0x34c78a0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fffcd872a20) at kernel/qobject.cpp:3287
#31 0x00007f95c02087e2 in TaskManager::TaskGroup::itemRemoved (this=<value optimized out>, _t1=0x3238fe0) at ./taskgroup.moc:159
#32 0x00007f95c0208a67 in TaskManager::TaskGroup::remove (this=0x34c78a0, item=0x3238fe0) at ../../../libs/taskmanager/taskgroup.cpp:303
#33 0x00007f95c0208d05 in TaskManager::TaskGroup::add (this=0x33bd030, item=0x3238fe0) at ../../../libs/taskmanager/taskgroup.cpp:191
#34 0x00007f95c01f3e85 in TaskManager::AbstractGroupingStrategy::closeGroup (this=0x3284ed0, group=0x34c78a0) at ../../../libs/taskmanager/abstractgroupingstrategy.cpp:167
#35 0x00007f95c01fef4f in TaskManager::ProgramGroupingStrategy::checkGroup (this=0x3284ed0) at ../../../libs/taskmanager/strategies/programgroupingstrategy.cpp:243
#36 0x00007f95c01ffb67 in TaskManager::ProgramGroupingStrategy::qt_metacall (this=0x3284ed0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffcd872d00) at ./programgroupingstrategy.moc:76
#37 0x00007f95d676c5f8 in QMetaObject::activate (sender=0x34c78a0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fffcd872d00) at kernel/qobject.cpp:3287
#38 0x00007f95c02087e2 in TaskManager::TaskGroup::itemRemoved (this=<value optimized out>, _t1=0x37b47d0) at ./taskgroup.moc:159
#39 0x00007f95c0209bc2 in TaskManager::TaskGroup::Private::signalRemovals (this=0x3235a00) at ../../../libs/taskmanager/taskgroup.cpp:251
#40 0x00007f95c0209c3d in TaskManager::TaskGroup::qt_metacall (this=0x34c78a0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x30ffa70) at ./taskgroup.moc:140
#41 0x00007f95d676b49a in QObject::event (this=0x34c78a0, e=<value optimized out>) at kernel/qobject.cpp:1226
#42 0x00007f95d5b189e4 in QApplicationPrivate::notify_helper (this=0x23bb1b0, receiver=0x34c78a0, e=0x381afd0) at kernel/qapplication.cpp:4462
#43 0x00007f95d5b1d3aa in QApplication::notify (this=<value optimized out>, receiver=0x34c78a0, e=0x381afd0) at kernel/qapplication.cpp:4341
#44 0x00007f95d740f866 in KApplication::notify (this=0x237e610, receiver=0x34c78a0, event=0x381afd0) at ../../kdeui/kernel/kapplication.cpp:311
#45 0x00007f95d675749c in QCoreApplication::notifyInternal (this=0x237e610, receiver=0x34c78a0, event=0x381afd0) at kernel/qcoreapplication.cpp:731
#46 0x00007f95d675ac25 in sendEvent (receiver=0x0, event_type=0, data=0x2312b60) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#47 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x2312b60) at kernel/qcoreapplication.cpp:1372
#48 0x00007f95d6782253 in sendPostedEvents (s=0x23bda90) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#49 postEventSourceDispatch (s=0x23bda90) at kernel/qeventdispatcher_glib.cpp:277
#50 0x00007f95cdf55bcd in g_main_dispatch (context=0x23bd9b0) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:2440
#51 g_main_context_dispatch (context=0x23bd9b0) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3013
#52 0x00007f95cdf563a8 in g_main_context_iterate (context=0x23bd9b0, block=<value optimized out>, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3091
#53 0x00007f95cdf56639 in g_main_context_iteration (context=0x23bd9b0, may_block=1) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3154
#54 0x00007f95d67823ef in QEventDispatcherGlib::processEvents (this=0x2312340, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#55 0x00007f95d5bbfdfe in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#56 0x00007f95d6756882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#57 0x00007f95d6756abc in QEventLoop::exec (this=0x7fffcd8736d0, flags=...) at kernel/qeventloop.cpp:201
#58 0x00007f95d675aecb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#59 0x00007f95d986d897 in kdemain (argc=1, argv=0x7fffcd873a98) at ../../../../plasma/desktop/shell/main.cpp:118
#60 0x00007f95d94b9eff in __libc_start_main (main=0x400740 <main(int, char**)>, argc=1, ubp_av=0x7fffcd873a98, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fffcd873a88) at libc-start.c:226
#61 0x0000000000400669 in _start ()

Reported using DrKonqi
Comment 1 Nicolas L. 2011-07-11 21:44:31 UTC
*** Bug 277548 has been marked as a duplicate of this bug. ***
Comment 2 Unknown 2011-09-09 15:28:54 UTC
Created attachment 63535 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.40 (4.7.40 (KDE 4.8 >= 200110623) using Qt 4.7.3

- What I was doing when the application crashed:

Opened dolphin from the "new usb device mounted" popup.

-- Backtrace (Reduced):
#6  isNull (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:558
#7  operator! (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:564
#8  TaskManager::TaskItem::task (this=0x2ebf540) at /home/adys/src/kde/kde-workspace/libs/taskmanager/taskitem.cpp:111
#9  0x00007fe8fe84d072 in WindowTaskItem::publishIconGeometry (this=0x329b280) at /home/adys/src/kde/kde-workspace/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007fe8fe85585c in AbstractTaskItem::setGeometry (this=0x329b280, geometry=...) at /home/adys/src/kde/kde-workspace/plasma/desktop/applets/tasks/abstracttaskitem.cpp:1016
Comment 3 Mikko C. 2011-11-04 13:55:53 UTC
Created attachment 65231 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

Nothing particular, maybe closing an app or minimizing it.
It's been happening a lot since I updated to KDE 4.7.3.

-- Backtrace (Reduced):
#6  0x00007f8d63ab5c47 in TaskManager::TaskItem::task() const () from /usr/lib64/libtaskmanager.so.4
#7  0x00007f8d63ce7244 in WindowTaskItem::publishIconGeometry (this=0x2afe8d0) at /var/tmp/paludis/kde-base-plasma-workspace-4.7.3/work/plasma-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#8  0x00007f8d63cf50df in AbstractTaskItem::timerEvent (this=0x2afe8d0, event=0x7fff606549c0) at /var/tmp/paludis/kde-base-plasma-workspace-4.7.3/work/plasma-workspace-4.7.3/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
#9  0x00007f8d77efc459 in QObject::event (this=0x2afe8d0, e=<value optimized out>) at kernel/qobject.cpp:1181
#10 0x00007f8d7764526b in QGraphicsWidget::event (this=0x2afe8d0, event=0x7fff606549c0) at graphicsview/qgraphicswidget.cpp:1455
Comment 4 Allen Winter 2011-11-04 20:39:22 UTC
just to add my 2cents.  here's a related bt that shows more info:

#3  0x00007fd58958c93c in QWeakPointer<TaskManager::Task>::isNull (this=0x0)
    at /data/Qt/Qt-4.7/include/QtCore/qsharedpointer_impl.h:568
#4  0x00007fd58958c4ec in QWeakPointer<TaskManager::Task>::operator! (this=0x0)
    at /data/Qt/Qt-4.7/include/QtCore/qsharedpointer_impl.h:574
#5  0x00007fd5895891c6 in TaskManager::TaskItem::task (this=0x39b3d20)
    at /data/kde/trunk/KDE/kde-workspace/libs/taskmanager/taskitem.cpp:133
#6  0x00007fd588a33f3e in WindowTaskItem::publishIconGeometry (this=0x34a2520, 
    rect=...)
    at /data/kde/trunk/KDE/kde-workspace/plasma/desktop/applets/tasks/windowtaskitem.cpp:130
#7  0x00007fd588a506ed in TaskGroupItem::publishIconGeometry (this=0x346cc80, 
    rect=...)
    at /data/kde/trunk/KDE/kde-workspace/plasma/desktop/applets/tasks/taskgroupitem.cpp:1440
#8  0x00007fd588a5066b in TaskGroupItem::publishIconGeometry (this=0x346cc80)
    at /data/kde/trunk/KDE/kde-workspace/plasma/desktop/applets/tasks/taskgroupitem.cpp:1432
#9  0x00007fd588a41f08 in AbstractTaskItem::timerEvent (this=0x346cc80, event=
    0x7fff39027880)
    at /data/kde/trunk/KDE/kde-workspace/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 5 Vitor Boschi da Silva 2011-11-05 19:38:29 UTC
Created attachment 65269 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:
Plasma crashed just after attaching a konsole tab from one window to another, which would remove one of the Konsole`s entries

-- Backtrace (Reduced):
#6  isNull (this=0x3d) at /usr/include/QtCore/qsharedpointer_impl.h:568
#7  operator! (this=0x3d) at /usr/include/QtCore/qsharedpointer_impl.h:574
#8  TaskManager::TaskItem::task (this=0x54690e0) at /home/vitor/kdesrc/kde/kde-workspace/libs/taskmanager/taskitem.cpp:135
#9  0x00007fc41f9782f2 in WindowTaskItem::publishIconGeometry (this=0x5684a00) at /home/vitor/kdesrc/kde/kde-workspace/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007fc41f986f6c in AbstractTaskItem::timerEvent (this=0x5684a00, event=<optimized out>) at /home/vitor/kdesrc/kde/kde-workspace/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 6 Vitor Boschi da Silva 2011-11-05 19:46:53 UTC
> - What I was doing when the application crashed:
> Plasma crashed just after attaching a konsole tab from one window to another,
> which would remove one of the Konsole`s entries

Update: I can reproduce this problem most of the time by opening Konsole, then creating another window with Ctrl+Shift+N and then attaching the new Konsole tab on the first one. It seens the problem only occurs when the two Konsole windows are grouped in the task bar
Comment 7 Lamarque V. Souza 2011-11-06 14:40:00 UTC
*** Bug 285812 has been marked as a duplicate of this bug. ***
Comment 8 Lamarque V. Souza 2011-11-06 19:38:12 UTC
*** Bug 280744 has been marked as a duplicate of this bug. ***
Comment 9 Roman K. 2011-11-07 11:17:31 UTC
Created attachment 65335 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

I closed a group of 4 windows, then plasma crashed.

-- Backtrace (Reduced):
#6  isNull (this=0x3f54c90) at /usr/include/QtCore/qsharedpointer_impl.h:568
#7  operator! (this=0x3f54c90) at /usr/include/QtCore/qsharedpointer_impl.h:574
#8  TaskManager::TaskItem::task (this=0x3f54c90) at /usr/src/debug/kde-workspace-4.7.3/libs/taskmanager/taskitem.cpp:113
#9  0x00007f9ca9a89292 in WindowTaskItem::publishIconGeometry (this=0x3d909e0) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007f9ca9a965ec in AbstractTaskItem::timerEvent (this=0x3d909e0, event=<value optimized out>) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 10 Lamarque V. Souza 2011-11-07 14:16:04 UTC
*** Bug 285964 has been marked as a duplicate of this bug. ***
Comment 11 Lamarque V. Souza 2011-11-07 14:16:19 UTC
*** Bug 285979 has been marked as a duplicate of this bug. ***
Comment 12 Lamarque V. Souza 2011-11-07 14:16:37 UTC
*** Bug 285368 has been marked as a duplicate of this bug. ***
Comment 13 Nikolay Golub 2011-11-07 18:19:28 UTC
Application: plasma-desktop (0.4)
KDE Platform Version: 4.7.3 (4.7.3)
Qt Version: 4.7.4
Operating System: Linux 3.0-ARCH i686

-- Information about the crash:
It has happened every time when i open new window of chromium and this windows is not maximized.

The crash can be reproduced every time.

-- Backtrace:
Application: Plasma Desktop Shell (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0xb56e8710 (LWP 1210))]

Thread 2 (Thread 0xa9db7b70 (LWP 1211)):
#0  0xb780f424 in __kernel_vsyscall ()
#1  0xb60b51ae in poll () from /lib/libc.so.6
#2  0xb5b4209b in g_poll () from /usr/lib/libglib-2.0.so.0
#3  0xb5b335e6 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb5b3397a in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb6e8dea7 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb6e5eb6d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb6e5edb1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb6d623ab in QThread::exec() () from /usr/lib/libQtCore.so.4
#9  0xb6e3f83d in ?? () from /usr/lib/libQtCore.so.4
#10 0xb6d65253 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb27e870c in ?? () from /usr/lib/libGL.so.1
#12 0x00000000 in ?? ()

Thread 1 (Thread 0xb56e8710 (LWP 1210)):
[KCrash Handler]
#7  0xaf5b085c in TaskManager::TaskItem::task() const () from /usr/lib/libtaskmanager.so.4
#8  0xaf554642 in ?? () from /usr/lib/kde4/plasma_applet_tasks.so
#9  0xaf565658 in ?? () from /usr/lib/kde4/plasma_applet_tasks.so
#10 0xb6e77d04 in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#11 0xb6a42f44 in QGraphicsWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#12 0xb6389a24 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#13 0xb638edd3 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#14 0xb7596d41 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#15 0xb6e5fb2e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#16 0xb6e8ff70 in ?? () from /usr/lib/libQtCore.so.4
#17 0xb6e8d492 in ?? () from /usr/lib/libQtCore.so.4
#18 0xb5b32faf in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#19 0xb5b336e0 in ?? () from /usr/lib/libglib-2.0.so.0
#20 0xb5b3397a in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#21 0xb6e8de4a in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#22 0xb643cf8a in ?? () from /usr/lib/libQtGui.so.4
#23 0xb6e5eb6d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#24 0xb6e5edb1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#25 0xb6e6350d in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#26 0xb6387894 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#27 0xb07c914b in kdemain () from /usr/lib/libkdeinit4_plasma-desktop.so
#28 0x0804f4a2 in _start ()
Comment 14 Vitor Boschi da Silva 2011-11-07 18:23:24 UTC
Looking to your backtrace, I'd say your bug is not the same as the one reported here. Can you fill a separate report, please?

Vitor

(In reply to comment #13)
> Application: plasma-desktop (0.4)
> KDE Platform Version: 4.7.3 (4.7.3)
> Qt Version: 4.7.4
> Operating System: Linux 3.0-ARCH i686
> 
> -- Information about the crash:
> It has happened every time when i open new window of chromium and this windows
> is not maximized.
> 
> The crash can be reproduced every time.
> 
> -- Backtrace:
> Application: Plasma Desktop Shell (kdeinit4), signal: Segmentation fault
> [Current thread is 1 (Thread 0xb56e8710 (LWP 1210))]
> 
> Thread 2 (Thread 0xa9db7b70 (LWP 1211)):
> #0  0xb780f424 in __kernel_vsyscall ()
> #1  0xb60b51ae in poll () from /lib/libc.so.6
> #2  0xb5b4209b in g_poll () from /usr/lib/libglib-2.0.so.0
> #3  0xb5b335e6 in ?? () from /usr/lib/libglib-2.0.so.0
> #4  0xb5b3397a in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
> #5  0xb6e8dea7 in
> QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
> from /usr/lib/libQtCore.so.4
> #6  0xb6e5eb6d in
> QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
> /usr/lib/libQtCore.so.4
> #7  0xb6e5edb1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
> from /usr/lib/libQtCore.so.4
> #8  0xb6d623ab in QThread::exec() () from /usr/lib/libQtCore.so.4
> #9  0xb6e3f83d in ?? () from /usr/lib/libQtCore.so.4
> #10 0xb6d65253 in ?? () from /usr/lib/libQtCore.so.4
> #11 0xb27e870c in ?? () from /usr/lib/libGL.so.1
> #12 0x00000000 in ?? ()
> 
> Thread 1 (Thread 0xb56e8710 (LWP 1210)):
> [KCrash Handler]
> #7  0xaf5b085c in TaskManager::TaskItem::task() const () from
> /usr/lib/libtaskmanager.so.4
> #8  0xaf554642 in ?? () from /usr/lib/kde4/plasma_applet_tasks.so
> #9  0xaf565658 in ?? () from /usr/lib/kde4/plasma_applet_tasks.so
> #10 0xb6e77d04 in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
> #11 0xb6a42f44 in QGraphicsWidget::event(QEvent*) () from
> /usr/lib/libQtGui.so.4
> #12 0xb6389a24 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from
> /usr/lib/libQtGui.so.4
> #13 0xb638edd3 in QApplication::notify(QObject*, QEvent*) () from
> /usr/lib/libQtGui.so.4
> #14 0xb7596d41 in KApplication::notify(QObject*, QEvent*) () from
> /usr/lib/libkdeui.so.5
> #15 0xb6e5fb2e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from
> /usr/lib/libQtCore.so.4
> #16 0xb6e8ff70 in ?? () from /usr/lib/libQtCore.so.4
> #17 0xb6e8d492 in ?? () from /usr/lib/libQtCore.so.4
> #18 0xb5b32faf in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
> #19 0xb5b336e0 in ?? () from /usr/lib/libglib-2.0.so.0
> #20 0xb5b3397a in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
> #21 0xb6e8de4a in
> QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
> from /usr/lib/libQtCore.so.4
> #22 0xb643cf8a in ?? () from /usr/lib/libQtGui.so.4
> #23 0xb6e5eb6d in
> QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
> /usr/lib/libQtCore.so.4
> #24 0xb6e5edb1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
> from /usr/lib/libQtCore.so.4
> #25 0xb6e6350d in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
> #26 0xb6387894 in QApplication::exec() () from /usr/lib/libQtGui.so.4
> #27 0xb07c914b in kdemain () from /usr/lib/libkdeinit4_plasma-desktop.so
> #28 0x0804f4a2 in _start ()
Comment 15 Nikolay Golub 2011-11-07 19:07:51 UTC
Yes, of course i did this in 285812, but i'll register a new one

(In reply to comment #14)
> Looking to your backtrace, I'd say your bug is not the same as the one reported
> here. Can you fill a separate report, please?
> 
> Vitor
> 
> (In reply to comment #13)
> > Application: plasma-desktop (0.4)
> > KDE Platform Version: 4.7.3 (4.7.3)
> > Qt Version: 4.7.4
> > Operating System: Linux 3.0-ARCH i686
> > 
> > -- Information about the crash:
> > It has happened every time when i open new window of chromium and this windows
> > is not maximized.
> > 
> > The crash can be reproduced every time.
> > 
> > -- Backtrace:
> > Application: Plasma Desktop Shell (kdeinit4), signal: Segmentation fault
> > [Current thread is 1 (Thread 0xb56e8710 (LWP 1210))]
> > 
> > Thread 2 (Thread 0xa9db7b70 (LWP 1211)):
> > #0  0xb780f424 in __kernel_vsyscall ()
> > #1  0xb60b51ae in poll () from /lib/libc.so.6
> > #2  0xb5b4209b in g_poll () from /usr/lib/libglib-2.0.so.0
> > #3  0xb5b335e6 in ?? () from /usr/lib/libglib-2.0.so.0
> > #4  0xb5b3397a in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
> > #5  0xb6e8dea7 in
> > QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
> > from /usr/lib/libQtCore.so.4
> > #6  0xb6e5eb6d in
> > QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
> > /usr/lib/libQtCore.so.4
> > #7  0xb6e5edb1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
> > from /usr/lib/libQtCore.so.4
> > #8  0xb6d623ab in QThread::exec() () from /usr/lib/libQtCore.so.4
> > #9  0xb6e3f83d in ?? () from /usr/lib/libQtCore.so.4
> > #10 0xb6d65253 in ?? () from /usr/lib/libQtCore.so.4
> > #11 0xb27e870c in ?? () from /usr/lib/libGL.so.1
> > #12 0x00000000 in ?? ()
> > 
> > Thread 1 (Thread 0xb56e8710 (LWP 1210)):
> > [KCrash Handler]
> > #7  0xaf5b085c in TaskManager::TaskItem::task() const () from
> > /usr/lib/libtaskmanager.so.4
> > #8  0xaf554642 in ?? () from /usr/lib/kde4/plasma_applet_tasks.so
> > #9  0xaf565658 in ?? () from /usr/lib/kde4/plasma_applet_tasks.so
> > #10 0xb6e77d04 in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
> > #11 0xb6a42f44 in QGraphicsWidget::event(QEvent*) () from
> > /usr/lib/libQtGui.so.4
> > #12 0xb6389a24 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from
> > /usr/lib/libQtGui.so.4
> > #13 0xb638edd3 in QApplication::notify(QObject*, QEvent*) () from
> > /usr/lib/libQtGui.so.4
> > #14 0xb7596d41 in KApplication::notify(QObject*, QEvent*) () from
> > /usr/lib/libkdeui.so.5
> > #15 0xb6e5fb2e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from
> > /usr/lib/libQtCore.so.4
> > #16 0xb6e8ff70 in ?? () from /usr/lib/libQtCore.so.4
> > #17 0xb6e8d492 in ?? () from /usr/lib/libQtCore.so.4
> > #18 0xb5b32faf in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
> > #19 0xb5b336e0 in ?? () from /usr/lib/libglib-2.0.so.0
> > #20 0xb5b3397a in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
> > #21 0xb6e8de4a in
> > QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
> > from /usr/lib/libQtCore.so.4
> > #22 0xb643cf8a in ?? () from /usr/lib/libQtGui.so.4
> > #23 0xb6e5eb6d in
> > QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
> > /usr/lib/libQtCore.so.4
> > #24 0xb6e5edb1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
> > from /usr/lib/libQtCore.so.4
> > #25 0xb6e6350d in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
> > #26 0xb6387894 in QApplication::exec() () from /usr/lib/libQtGui.so.4
> > #27 0xb07c914b in kdemain () from /usr/lib/libkdeinit4_plasma-desktop.so
> > #28 0x0804f4a2 in _start ()
Comment 16 Christoph Feck 2011-11-07 21:11:19 UTC
*** Bug 286030 has been marked as a duplicate of this bug. ***
Comment 17 Sergio Martins 2011-11-09 22:36:59 UTC
Created attachment 65460 [details]
Stacked windows

Steps to reproduce:

When two windows are stacked, move your mouse point onto the bottom one, right click, and close it.
Comment 18 Sergio Martins 2011-11-09 22:38:54 UTC
Here's a valgrind log. I don't have libQtGui debug symbols, and it's taking too long to download them.

==12961== Invalid read of size 8
==12961==    at 0x8921372: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x8AE8126: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x8AF767D: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x8A7521E: QPainter::drawPixmap(QPointF const&, QPixmap const&) (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x22417E2D: AbstractTaskItem::drawTextLayout(QPainter*, QTextLayout const&, QRect const&) (qpainter.h:842)
==12961==    by 0x224189F1: AbstractTaskItem::drawTask(QPainter*, QStyleOptionGraphicsItem const*, QWidget*) (abstracttaskitem.cpp:706)
==12961==    by 0x8F1238C: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x8F24C33: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x8F270C7: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x8F27D26: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x8F26F3F: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x8F27D26: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961==  Address 0x30dd0528 is 6,184 bytes inside a block of size 6,188 alloc'd
==12961==    at 0x4C2683D: malloc (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==12961==    by 0x89E5706: QImageData::create(QSize const&, QImage::Format, int) (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x89E690A: QImage::QImage(int, int, QImage::Format) (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x8A0EB33: QRasterPixmapData::fill(QColor const&) (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x22417FF8: AbstractTaskItem::drawTextLayout(QPainter*, QTextLayout const&, QRect const&) (abstracttaskitem.cpp:853)
==12961==    by 0x224189F1: AbstractTaskItem::drawTask(QPainter*, QStyleOptionGraphicsItem const*, QWidget*) (abstracttaskitem.cpp:706)
==12961==    by 0x8F1238C: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x8F24C33: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x8F270C7: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x8F27D26: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x8F26F3F: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x8F27D26: ??? (in /usr/lib64/libQtGui.so.4.7.4)

==12961== Invalid read of size 8
==12961==    at 0x221DC050: TaskManager::TaskItem::task() const (taskitem.cpp:113)
==12961==    by 0x2240A1E9: WindowTaskItem::publishIconGeometry(QRect const&) const (windowtaskitem.cpp:130)
==12961==    by 0x2241B1C9: TaskGroupItem::publishIconGeometry(QRect const&) const (taskgroupitem.cpp:1432)
==12961==    by 0x22419C74: TaskGroupItem::publishIconGeometry() const (taskgroupitem.cpp:1424)
==12961==    by 0x2241298B: AbstractTaskItem::setGeometry(QRectF const&) (abstracttaskitem.cpp:1018)
==12961==    by 0x8F50840: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x8F4A334: QGraphicsWidget::itemChange(QGraphicsItem::GraphicsItemChange, QVariant const&) (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x8EFE572: QGraphicsItem::setPos(QPointF const&) (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x22416613: AbstractTaskItem::qt_metacall(QMetaObject::Call, int, void**) (abstracttaskitem.cpp:993)
==12961==    by 0x2241F0B4: TaskGroupItem::qt_metacall(QMetaObject::Call, int, void**) (taskgroupitem.moc:105)
==12961==    by 0x810B488: QPropertyAnimationPrivate::updateProperty(QVariant const&) (qpropertyanimation.cpp:139)
==12961==    by 0x8108A8F: QVariantAnimationPrivate::setCurrentValueForProgress(double) (qvariantanimation.cpp:293)
==12961==  Address 0x1b24b968 is 24 bytes inside a block of size 32 free'd
==12961==    at 0x4C2562E: operator delete(void*) (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==12961==    by 0x821E7D7: QObject::event(QEvent*) (qobject.cpp:1209)
==12961==    by 0x8929263: QApplicationPrivate::notify_helper(QObject*, QEvent*) (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x8931819: QApplication::notify(QObject*, QEvent*) (in /usr/lib64/libQtGui.so.4.7.4)
==12961==    by 0x752AAE5: KApplication::notify(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.7.0)
==12961==    by 0x820A7CB: QCoreApplication::notifyInternal(QObject*, QEvent*) (qcoreapplication.cpp:787)
==12961==    by 0x820DFC4: QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (qcoreapplication.h:215)
==12961==    by 0x8235442: postEventSourceDispatch(_GSource*, int (*)(void*), void*) (qcoreapplication.h:220)
==12961==    by 0x11610BD2: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2800.0)
==12961==    by 0x116113AF: ??? (in /lib64/libglib-2.0.so.0.2800.0)
==12961==    by 0x1161164F: g_main_context_iteration (in /lib64/libglib-2.0.so.0.2800.0)
==12961==    by 0x82355DE: QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (qeventdispatcher_glib.cpp:422)
Comment 19 Alberto Cruz 2011-11-10 01:55:29 UTC
Created attachment 65463 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) "release 10" using Qt 4.7.4

- What I was doing when the application crashed:
I just closed opera at one time. At another past time i renamed a file on the "Folder View" plasmoid using the F2 keyboard shortcut, and when i typed enter it crashed. 

- Unusual behavior I noticed:
On the open proccesses view at the bottom panel, the pager was not properly aligned. 

- Custom settings of the application:
Using opensuse 11.3, updated to KDE 4.7.3 from the official repositories. I have Compiz emerald with the desktop cube effect activated, and i use it a lot.

-- Backtrace (Reduced):
#7  operator== (this=0x9368fa8) at /usr/include/QtCore/qbasicatomic.h:70
#8  isNull (this=0x9368fa8) at /usr/include/QtCore/qsharedpointer_impl.h:568
#9  operator! (this=0x9368fa8) at /usr/include/QtCore/qsharedpointer_impl.h:574
#10 TaskManager::TaskItem::task (this=0x9368fa8) at /usr/src/debug/kde-workspace-4.7.3/libs/taskmanager/taskitem.cpp:113
#11 0xb0de78a2 in WindowTaskItem::publishIconGeometry (this=0x9339ea0) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
Comment 20 Aaron J. Seigo 2011-11-10 10:42:14 UTC
Git commit 83f422db945e08e3e8d97e7c9b94cc7497e5e0fb by Aaron Seigo.
Committed on 10/11/2011 at 11:33.
Pushed by aseigo into branch 'master'.

make TaskItem return a Task* instead of a smart pointer (KShardPtr).

TaskItem holds onto a QWeakPointer internally, and then is constantly handing out
new KSharedPtr's on that pointer's data. it's used infrequently and where it is used
items should be providing their own smart pointer wrappers on an as-need basis.

TaskItem is based on the idea that the task may go away at any time ... so respect
that contract and do not create new strong shared pointers from its internal pointer.

i believe this to be related to BR272495

CCBUG:272495

M  +1    -1    libs/taskmanager/groupmanager.cpp
M  +5    -5    libs/taskmanager/launcheritem.cpp
M  +16   -14   libs/taskmanager/taskactions.cpp
M  +1    -1    libs/taskmanager/taskactions_p.h
M  +2    -5    libs/taskmanager/taskitem.cpp
M  +2    -2    libs/taskmanager/taskitem.h

http://commits.kde.org/kde-workspace/83f422db945e08e3e8d97e7c9b94cc7497e5e0fb
Comment 21 Aaron J. Seigo 2011-11-10 10:43:45 UTC
*** Bug 286232 has been marked as a duplicate of this bug. ***
Comment 22 René Krell 2011-11-10 10:45:48 UTC
*** Bug 286254 has been marked as a duplicate of this bug. ***
Comment 23 Aaron J. Seigo 2011-11-10 10:55:15 UTC
*** Bug 286250 has been marked as a duplicate of this bug. ***
Comment 24 Aaron J. Seigo 2011-11-10 10:55:30 UTC
*** Bug 286211 has been marked as a duplicate of this bug. ***
Comment 25 Aaron J. Seigo 2011-11-10 10:55:40 UTC
*** Bug 286173 has been marked as a duplicate of this bug. ***
Comment 26 Christoph Feck 2011-11-10 11:41:47 UTC
*** Bug 286257 has been marked as a duplicate of this bug. ***
Comment 27 Aaron J. Seigo 2011-11-10 12:08:09 UTC
Git commit 639155a5493a28ca9460d60fa0c078ec65c3bb96 by Aaron Seigo.
Committed on 10/11/2011 at 13:01.
Pushed by aseigo into branch 'KDE/4.7'.

use a QWeakPointer to track the lifespan of the task

the itemRemoved signal from TaskGroup has dangling pointers, apparently
by design (the next thing on my list to investigate), and the signal is
delayed. so between the actual deletion of the task and the signal, there
pointer is a dangler. easy solution is to just track it in the WindowTaskItem
itself with a cheap QWeakPointer.

BUG:272495

M  +4    -0    plasma/desktop/applets/tasks/abstracttaskitem.cpp
M  +1    -1    plasma/desktop/applets/tasks/abstracttaskitem.h
M  +29   -39   plasma/desktop/applets/tasks/windowtaskitem.cpp
M  +1    -2    plasma/desktop/applets/tasks/windowtaskitem.h

http://commits.kde.org/kde-workspace/639155a5493a28ca9460d60fa0c078ec65c3bb96
Comment 28 Aaron J. Seigo 2011-11-10 12:08:10 UTC
Git commit 017a0935187b919c118ede2fd2f27cf063f71bfb by Aaron Seigo.
Committed on 10/11/2011 at 13:01.
Pushed by aseigo into branch 'master'.

use a QWeakPointer to track the lifespan of the task

the itemRemoved signal from TaskGroup has dangling pointers, apparently
by design (the next thing on my list to investigate), and the signal is
delayed. so between the actual deletion of the task and the signal, there
pointer is a dangler. easy solution is to just track it in the WindowTaskItem
itself with a cheap QWeakPointer.

BUG:272495

Conflicts:

	plasma/desktop/applets/tasks/windowtaskitem.cpp

M  +4    -0    plasma/desktop/applets/tasks/abstracttaskitem.cpp
M  +1    -1    plasma/desktop/applets/tasks/abstracttaskitem.h
M  +29   -39   plasma/desktop/applets/tasks/windowtaskitem.cpp
M  +1    -2    plasma/desktop/applets/tasks/windowtaskitem.h

http://commits.kde.org/kde-workspace/017a0935187b919c118ede2fd2f27cf063f71bfb
Comment 29 Christoph Feck 2011-11-10 20:52:07 UTC
*** Bug 286268 has been marked as a duplicate of this bug. ***
Comment 30 Christoph Feck 2011-11-10 22:36:41 UTC
*** Bug 286185 has been marked as a duplicate of this bug. ***
Comment 31 Christoph Feck 2011-11-10 22:39:17 UTC
*** Bug 286299 has been marked as a duplicate of this bug. ***
Comment 32 Aaron J. Seigo 2011-11-11 14:03:06 UTC
*** Bug 286335 has been marked as a duplicate of this bug. ***
Comment 33 Alexander Kupcov 2011-11-15 19:58:40 UTC
Created attachment 65726 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.8.0

Some time after the work of the plasma decreases. I run Skype, Mozilla Firefox 7, Mozilla Thunderbird 7, pidgin, konsole and my IDE to work.

-- Backtrace (Reduced):
#6  isNull (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:580
#7  operator! (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:586
#8  TaskManager::TaskItem::task (this=0x48f72c0) at /usr/src/debug/kde-workspace-4.7.3/libs/taskmanager/taskitem.cpp:113
#9  0x00007fffeaf922c2 in WindowTaskItem::publishIconGeometry (this=0x3ec6000) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007fffeafa0bbc in AbstractTaskItem::timerEvent (this=0x3ec6000, event=<optimized out>) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 34 Alexander Kupcov 2011-11-15 19:58:40 UTC
Created attachment 65727 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.8.0

Some time after the work of the plasma decreases. I run Skype, Mozilla Firefox 7, Mozilla Thunderbird 7, pidgin, konsole and my IDE to work.

-- Backtrace (Reduced):
#6  isNull (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:580
#7  operator! (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:586
#8  TaskManager::TaskItem::task (this=0x48f72c0) at /usr/src/debug/kde-workspace-4.7.3/libs/taskmanager/taskitem.cpp:113
#9  0x00007fffeaf922c2 in WindowTaskItem::publishIconGeometry (this=0x3ec6000) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007fffeafa0bbc in AbstractTaskItem::timerEvent (this=0x3ec6000, event=<optimized out>) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 35 Alexander Kupcov 2011-11-15 19:58:46 UTC
Created attachment 65728 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.8.0

Some time after the work of the plasma decreases. I run Skype, Mozilla Firefox 7, Mozilla Thunderbird 7, pidgin, konsole and my IDE to work.

-- Backtrace (Reduced):
#6  isNull (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:580
#7  operator! (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:586
#8  TaskManager::TaskItem::task (this=0x48f72c0) at /usr/src/debug/kde-workspace-4.7.3/libs/taskmanager/taskitem.cpp:113
#9  0x00007fffeaf922c2 in WindowTaskItem::publishIconGeometry (this=0x3ec6000) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007fffeafa0bbc in AbstractTaskItem::timerEvent (this=0x3ec6000, event=<optimized out>) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 36 Alexander Kupcov 2011-11-15 19:58:46 UTC
Created attachment 65729 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.8.0

Some time after the work of the plasma decreases. I run Skype, Mozilla Firefox 7, Mozilla Thunderbird 7, pidgin, konsole and my IDE to work.

-- Backtrace (Reduced):
#6  isNull (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:580
#7  operator! (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:586
#8  TaskManager::TaskItem::task (this=0x48f72c0) at /usr/src/debug/kde-workspace-4.7.3/libs/taskmanager/taskitem.cpp:113
#9  0x00007fffeaf922c2 in WindowTaskItem::publishIconGeometry (this=0x3ec6000) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007fffeafa0bbc in AbstractTaskItem::timerEvent (this=0x3ec6000, event=<optimized out>) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 37 Alexander Kupcov 2011-11-15 19:58:46 UTC
Created attachment 65730 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.8.0

Some time after the work of the plasma decreases. I run Skype, Mozilla Firefox 7, Mozilla Thunderbird 7, pidgin, konsole and my IDE to work.

-- Backtrace (Reduced):
#6  isNull (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:580
#7  operator! (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:586
#8  TaskManager::TaskItem::task (this=0x48f72c0) at /usr/src/debug/kde-workspace-4.7.3/libs/taskmanager/taskitem.cpp:113
#9  0x00007fffeaf922c2 in WindowTaskItem::publishIconGeometry (this=0x3ec6000) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007fffeafa0bbc in AbstractTaskItem::timerEvent (this=0x3ec6000, event=<optimized out>) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 38 Alexander Kupcov 2011-11-15 19:58:46 UTC
Created attachment 65731 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.8.0

Some time after the work of the plasma decreases. I run Skype, Mozilla Firefox 7, Mozilla Thunderbird 7, pidgin, konsole and my IDE to work.

-- Backtrace (Reduced):
#6  isNull (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:580
#7  operator! (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:586
#8  TaskManager::TaskItem::task (this=0x48f72c0) at /usr/src/debug/kde-workspace-4.7.3/libs/taskmanager/taskitem.cpp:113
#9  0x00007fffeaf922c2 in WindowTaskItem::publishIconGeometry (this=0x3ec6000) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007fffeafa0bbc in AbstractTaskItem::timerEvent (this=0x3ec6000, event=<optimized out>) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 39 Alexander Kupcov 2011-11-15 19:58:46 UTC
Created attachment 65732 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.8.0

Some time after the work of the plasma decreases. I run Skype, Mozilla Firefox 7, Mozilla Thunderbird 7, pidgin, konsole and my IDE to work.

-- Backtrace (Reduced):
#6  isNull (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:580
#7  operator! (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:586
#8  TaskManager::TaskItem::task (this=0x48f72c0) at /usr/src/debug/kde-workspace-4.7.3/libs/taskmanager/taskitem.cpp:113
#9  0x00007fffeaf922c2 in WindowTaskItem::publishIconGeometry (this=0x3ec6000) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007fffeafa0bbc in AbstractTaskItem::timerEvent (this=0x3ec6000, event=<optimized out>) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 40 Alexander Kupcov 2011-11-15 20:03:37 UTC
Sorry for the duplication: I could not send a message
Comment 41 Christoph Feck 2011-11-19 01:03:09 UTC
*** Bug 286582 has been marked as a duplicate of this bug. ***
Comment 42 Christoph Feck 2011-11-19 01:03:27 UTC
*** Bug 286777 has been marked as a duplicate of this bug. ***
Comment 43 Christoph Feck 2011-11-19 01:03:44 UTC
*** Bug 286785 has been marked as a duplicate of this bug. ***
Comment 44 Christoph Feck 2011-11-19 01:04:00 UTC
*** Bug 286823 has been marked as a duplicate of this bug. ***
Comment 45 Christoph Feck 2011-11-19 01:04:16 UTC
*** Bug 286920 has been marked as a duplicate of this bug. ***
Comment 46 Christoph Feck 2011-11-19 01:04:31 UTC
*** Bug 286963 has been marked as a duplicate of this bug. ***
Comment 47 Christoph Feck 2011-11-19 01:04:49 UTC
*** Bug 286968 has been marked as a duplicate of this bug. ***
Comment 48 Lamarque V. Souza 2011-11-20 15:19:43 UTC
*** Bug 287059 has been marked as a duplicate of this bug. ***
Comment 49 Lamarque V. Souza 2011-11-21 12:54:12 UTC
*** Bug 287148 has been marked as a duplicate of this bug. ***
Comment 50 Beat Wolf 2011-11-22 13:30:27 UTC
*** Bug 287181 has been marked as a duplicate of this bug. ***
Comment 51 Aaron J. Seigo 2011-11-22 17:02:33 UTC
*** Bug 287277 has been marked as a duplicate of this bug. ***
Comment 52 Sergejus 2011-11-23 21:19:09 UTC
Created attachment 65999 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:
Closed a window of the Ark preview.
Same happens when minimizing or closing MATLAB and most of other apps, but quite random.

-- Backtrace (Reduced):
#6  isNull (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#7  operator! (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#8  TaskManager::TaskItem::task (this=0x5f74330) at ../../../libs/taskmanager/taskitem.cpp:113
#9  0x00007f1b167c0112 in WindowTaskItem::publishIconGeometry (this=0x6061730) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007f1b167ceb7c in AbstractTaskItem::timerEvent (this=0x6061730, event=<optimized out>) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 53 francgonzalez77 2011-11-24 10:07:00 UTC
Created attachment 66031 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

Plasma crashes when an application is minimized or closed. JavaEmbeddedFrame Error

-- Backtrace (Reduced):
#7  isNull (this=0x4) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#8  operator! (this=0x4) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#9  TaskManager::TaskItem::task (this=0x91c15a0) at ../../../libs/taskmanager/taskitem.cpp:113
#10 0x0491e662 in WindowTaskItem::publishIconGeometry (this=0x8abf058) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#11 0x0492f688 in AbstractTaskItem::timerEvent (this=0x8abf058, event=0xbf9ec9ac) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 54 Beat Wolf 2011-11-25 15:00:50 UTC
*** Bug 287545 has been marked as a duplicate of this bug. ***
Comment 55 Beat Wolf 2011-11-26 08:37:57 UTC
*** Bug 287588 has been marked as a duplicate of this bug. ***
Comment 56 Beat Wolf 2011-11-26 14:01:27 UTC
*** Bug 287611 has been marked as a duplicate of this bug. ***
Comment 57 Lamarque V. Souza 2011-11-27 13:22:18 UTC
*** Bug 287670 has been marked as a duplicate of this bug. ***
Comment 58 Lamarque V. Souza 2011-11-27 13:30:59 UTC
*** Bug 287637 has been marked as a duplicate of this bug. ***
Comment 59 Beat Wolf 2011-11-28 07:23:47 UTC
*** Bug 287714 has been marked as a duplicate of this bug. ***
Comment 60 Lorenzo Fernando Bivens 2011-11-30 16:44:01 UTC
Created attachment 66230 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

I was switching applications using the taskbar.
The same also happens frequently when closing a window.

-- Backtrace (Reduced):
#6  isNull (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#7  operator! (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#8  TaskManager::TaskItem::task (this=0x5511e20) at ../../../libs/taskmanager/taskitem.cpp:113
#9  0x00007f67a9525112 in WindowTaskItem::publishIconGeometry (this=0x528ea90) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007f67a9533b7c in AbstractTaskItem::timerEvent (this=0x528ea90, event=<optimized out>) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 61 Lorenzo Fernando Bivens 2011-11-30 16:44:01 UTC
Created attachment 66231 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

I was switching applications using the taskbar.
The same also happens frequently when closing a window.

-- Backtrace (Reduced):
#6  isNull (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#7  operator! (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#8  TaskManager::TaskItem::task (this=0x5511e20) at ../../../libs/taskmanager/taskitem.cpp:113
#9  0x00007f67a9525112 in WindowTaskItem::publishIconGeometry (this=0x528ea90) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007f67a9533b7c in AbstractTaskItem::timerEvent (this=0x528ea90, event=<optimized out>) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 62 Lorenzo Fernando Bivens 2011-11-30 16:44:01 UTC
Created attachment 66232 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

I was switching applications using the taskbar.
The same also happens frequently when closing a window.

-- Backtrace (Reduced):
#6  isNull (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#7  operator! (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#8  TaskManager::TaskItem::task (this=0x5511e20) at ../../../libs/taskmanager/taskitem.cpp:113
#9  0x00007f67a9525112 in WindowTaskItem::publishIconGeometry (this=0x528ea90) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007f67a9533b7c in AbstractTaskItem::timerEvent (this=0x528ea90, event=<optimized out>) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 63 Anne-Marie Mahfouf 2011-12-01 17:32:27 UTC
*** Bug 288000 has been marked as a duplicate of this bug. ***
Comment 64 Anne-Marie Mahfouf 2011-12-02 13:21:39 UTC
*** Bug 288054 has been marked as a duplicate of this bug. ***
Comment 65 Jekyll Wu 2011-12-03 11:31:48 UTC
*** Bug 288114 has been marked as a duplicate of this bug. ***
Comment 66 Anne-Marie Mahfouf 2011-12-03 20:10:12 UTC
*** Bug 288156 has been marked as a duplicate of this bug. ***
Comment 67 Jekyll Wu 2011-12-04 10:22:49 UTC
*** Bug 288181 has been marked as a duplicate of this bug. ***
Comment 68 Vadym Krevs 2011-12-04 12:23:50 UTC
Created attachment 66363 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) "release 10" using Qt 4.7.4

- What I was doing when the application crashed:

Opening a new workspace in Eclipse. Clicked OK and plasma crashed.

-- Backtrace (Reduced):
#6  operator== (this=0x501edf0) at /usr/include/QtCore/qbasicatomic.h:70
#7  isNull (this=0x501edf0) at /usr/include/QtCore/qsharedpointer_impl.h:568
#8  operator! (this=0x501edf0) at /usr/include/QtCore/qsharedpointer_impl.h:574
#9  TaskManager::TaskItem::task (this=0x501edf0) at /usr/src/debug/kde-workspace-4.7.3/libs/taskmanager/taskitem.cpp:113
#10 0x00007f24c38c01ea in WindowTaskItem::publishIconGeometry (this=0x4ff7f20, rect=...) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:130
Comment 69 Beat Wolf 2011-12-05 12:19:31 UTC
*** Bug 288260 has been marked as a duplicate of this bug. ***
Comment 70 Beat Wolf 2011-12-06 09:37:41 UTC
*** Bug 288295 has been marked as a duplicate of this bug. ***
Comment 71 Jekyll Wu 2011-12-06 16:33:58 UTC
*** Bug 288343 has been marked as a duplicate of this bug. ***
Comment 72 Jekyll Wu 2011-12-07 08:49:17 UTC
*** Bug 288383 has been marked as a duplicate of this bug. ***
Comment 73 pinakvashi 2011-12-07 11:52:52 UTC
Created attachment 66469 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

closed new firefox tab and then got the crash

-- Backtrace (Reduced):
#6  isNull (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#7  operator! (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#8  TaskManager::TaskItem::task (this=0x3759240) at ../../../libs/taskmanager/taskitem.cpp:113
#9  0x00007f3c38c76112 in WindowTaskItem::publishIconGeometry (this=0x1f94110) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007f3c38c84b7c in AbstractTaskItem::timerEvent (this=0x1f94110, event=<optimized out>) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 74 Anne-Marie Mahfouf 2011-12-07 20:31:28 UTC
*** Bug 288430 has been marked as a duplicate of this bug. ***
Comment 75 Aram Grigoryan 2011-12-07 21:12:12 UTC
Created attachment 66486 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

- Unusual behavior I noticed:

- Custom settings of the application:

:))))))))))))))))))))))))))))))))))))))))))))))))))))))

-- Backtrace (Reduced):
#7  isNull (this=0xffffffff) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#8  operator! (this=0xffffffff) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#9  TaskManager::TaskItem::task (this=0xb71bf10) at ../../../libs/taskmanager/taskitem.cpp:113
#10 0x0294c662 in WindowTaskItem::publishIconGeometry (this=0xb7b5178) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#11 0x0295d688 in AbstractTaskItem::timerEvent (this=0xb7b5178, event=0xbfe370ac) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 76 Jekyll Wu 2011-12-08 11:28:20 UTC
*** Bug 288468 has been marked as a duplicate of this bug. ***
Comment 77 Radoslav Vician 2011-12-09 10:53:53 UTC
Created attachment 66537 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

Sending e-mail in Thunderbird with CTRL+ENTER.

-- Backtrace (Reduced):
#7  isNull (this=0x680073) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#8  operator! (this=0x680073) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#9  TaskManager::TaskItem::task (this=0xacad8a8) at ../../../libs/taskmanager/taskitem.cpp:113
#10 0xaecc4662 in WindowTaskItem::publishIconGeometry (this=0xb017bc8) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#11 0xaecd5688 in AbstractTaskItem::timerEvent (this=0xb017bc8, event=0xbfa6235c) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 78 Jekyll Wu 2011-12-09 11:38:56 UTC
*** Bug 288525 has been marked as a duplicate of this bug. ***
Comment 79 Anne-Marie Mahfouf 2011-12-10 09:08:12 UTC
*** Bug 288635 has been marked as a duplicate of this bug. ***
Comment 80 Anne-Marie Mahfouf 2011-12-10 09:11:39 UTC
*** Bug 288636 has been marked as a duplicate of this bug. ***
Comment 81 Anne-Marie Mahfouf 2011-12-10 09:12:16 UTC
*** Bug 288630 has been marked as a duplicate of this bug. ***
Comment 82 Anne-Marie Mahfouf 2011-12-11 08:37:17 UTC
Git commit 76fde4fb8a67cf6663a76015ce48d09799447699 by Anne-Marie Mahfouf.
Committed on 11/12/2011 at 09:34.
Pushed by annma into branch 'master'.

fix dropping formatted text

Thanks to rshah for the patch

BUG:272495

M  +2    -1    applets/notes/notes.cpp

http://commits.kde.org/kdeplasma-addons/76fde4fb8a67cf6663a76015ce48d09799447699
Comment 83 Anne-Marie Mahfouf 2011-12-11 08:40:14 UTC
Ignore the above, it addresses 
https://bugs.kde.org/show_bug.cgi?id=263104

Sorry about this error.
Comment 84 Jekyll Wu 2011-12-12 16:46:41 UTC
*** Bug 288818 has been marked as a duplicate of this bug. ***
Comment 85 vladaz 2011-12-13 10:42:40 UTC
Created attachment 66689 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed: I just sent an email with attachment through Thunderbird.

-- Backtrace (Reduced):
#7  isNull (this=0x4) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#8  operator! (this=0x4) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#9  TaskManager::TaskItem::task (this=0xb296788) at ../../../libs/taskmanager/taskitem.cpp:113
#10 0xb62cf662 in WindowTaskItem::publishIconGeometry (this=0xa8d57a8) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#11 0xb62e0688 in AbstractTaskItem::timerEvent (this=0xa8d57a8, event=0xbffc85fc) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 86 Jekyll Wu 2011-12-13 14:43:21 UTC
*** Bug 288894 has been marked as a duplicate of this bug. ***
Comment 87 Jekyll Wu 2011-12-14 10:24:36 UTC
*** Bug 288954 has been marked as a duplicate of this bug. ***
Comment 88 Jekyll Wu 2011-12-15 09:26:04 UTC
*** Bug 289025 has been marked as a duplicate of this bug. ***
Comment 89 Jekyll Wu 2011-12-15 21:53:16 UTC
*** Bug 289073 has been marked as a duplicate of this bug. ***
Comment 90 Jekyll Wu 2011-12-17 08:18:44 UTC
*** Bug 289169 has been marked as a duplicate of this bug. ***
Comment 91 Anne-Marie Mahfouf 2011-12-17 18:07:13 UTC
*** Bug 289215 has been marked as a duplicate of this bug. ***
Comment 92 Beat Wolf 2011-12-17 22:46:14 UTC
*** Bug 289221 has been marked as a duplicate of this bug. ***
Comment 93 Thorsteinn A. Malmjursson 2011-12-17 23:31:13 UTC
I'm as happy as a pig in muck right now - we have 4.7.4 in our PPA with Kubuntu, and I can confirm (further to the marked Fix) that this is way more stable.  I've literally upgraded within the last hour, and thrown EVERYTHING I can think of at it.  I don't know what else you did - but the "program stuck open in panel" and "panel not responding" issues have vanished too, at least here anyway.

I've had - 30 applications open at once - every single plasma widget I have, live on my desktop at the same time - and used apper to update and install software while everything else has been running, and it's still working :)

Whoever fixed this, thank you :D
Comment 94 Lamarque V. Souza 2011-12-20 00:28:39 UTC
*** Bug 289392 has been marked as a duplicate of this bug. ***
Comment 95 Anne-Marie Mahfouf 2011-12-20 16:48:07 UTC
*** Bug 289432 has been marked as a duplicate of this bug. ***
Comment 96 Jekyll Wu 2011-12-20 18:05:23 UTC
*** Bug 289435 has been marked as a duplicate of this bug. ***
Comment 97 Anne-Marie Mahfouf 2011-12-21 09:54:27 UTC
*** Bug 289482 has been marked as a duplicate of this bug. ***
Comment 98 gv 2011-12-21 11:29:52 UTC
Created attachment 66970 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

- Unusual behavior I noticed:

The Desktop environment disappeared and returned along with the crash report assistant.

-- Backtrace (Reduced):
#6  operator== (value=0, this=0x10) at /usr/include/qt4/QtCore/qbasicatomic.h:70
#7  isNull (this=0x38e1a40) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#8  operator! (this=0x38e1a40) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#9  TaskManager::TaskItem::task (this=<optimized out>) at ../../../libs/taskmanager/taskitem.cpp:113
#10 0x00007fe1cc057112 in WindowTaskItem::publishIconGeometry (this=0x45cb7b0) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
Comment 99 Jekyll Wu 2011-12-21 16:11:38 UTC
*** Bug 289508 has been marked as a duplicate of this bug. ***
Comment 100 Anne-Marie Mahfouf 2011-12-21 16:57:26 UTC
*** Bug 289513 has been marked as a duplicate of this bug. ***
Comment 101 Anne-Marie Mahfouf 2011-12-22 08:54:27 UTC
*** Bug 289559 has been marked as a duplicate of this bug. ***
Comment 102 Anne-Marie Mahfouf 2011-12-22 08:56:33 UTC
*** Bug 289549 has been marked as a duplicate of this bug. ***
Comment 103 Anne-Marie Mahfouf 2011-12-22 11:11:13 UTC
*** Bug 289577 has been marked as a duplicate of this bug. ***
Comment 104 Lamarque V. Souza 2011-12-22 12:11:11 UTC
*** Bug 289579 has been marked as a duplicate of this bug. ***
Comment 105 gv 2011-12-22 12:41:01 UTC
Created attachment 67013 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

- Unusual behavior I noticed:

Partial crash, both desktop and plasma disappeared NO WINDOWS message for Alt+Tab

-- Backtrace (Reduced):
#6  isNull (this=0x2b00000304) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#7  operator! (this=0x2b00000304) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#8  TaskManager::TaskItem::task (this=0x2d61800) at ../../../libs/taskmanager/taskitem.cpp:113
#9  0x00007f6a0d602112 in WindowTaskItem::publishIconGeometry (this=0x16d6a50) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007f6a0d610b7c in AbstractTaskItem::timerEvent (this=0x16d6a50, event=<optimized out>) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 106 gv 2011-12-22 12:41:01 UTC
Created attachment 67014 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

- Unusual behavior I noticed:

Partial crash, both desktop and plasma disappeared NO WINDOWS message for Alt+Tab

-- Backtrace (Reduced):
#6  isNull (this=0x2b00000304) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#7  operator! (this=0x2b00000304) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#8  TaskManager::TaskItem::task (this=0x2d61800) at ../../../libs/taskmanager/taskitem.cpp:113
#9  0x00007f6a0d602112 in WindowTaskItem::publishIconGeometry (this=0x16d6a50) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007f6a0d610b7c in AbstractTaskItem::timerEvent (this=0x16d6a50, event=<optimized out>) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 107 gv 2011-12-22 12:41:01 UTC
Created attachment 67015 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

- Unusual behavior I noticed:

Partial crash, both desktop and plasma disappeared NO WINDOWS message for Alt+Tab

-- Backtrace (Reduced):
#6  isNull (this=0x2b00000304) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#7  operator! (this=0x2b00000304) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#8  TaskManager::TaskItem::task (this=0x2d61800) at ../../../libs/taskmanager/taskitem.cpp:113
#9  0x00007f6a0d602112 in WindowTaskItem::publishIconGeometry (this=0x16d6a50) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007f6a0d610b7c in AbstractTaskItem::timerEvent (this=0x16d6a50, event=<optimized out>) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 108 Anne-Marie Mahfouf 2011-12-23 11:26:55 UTC
*** Bug 289628 has been marked as a duplicate of this bug. ***
Comment 109 Jekyll Wu 2011-12-23 12:14:15 UTC
*** Bug 289660 has been marked as a duplicate of this bug. ***
Comment 110 Jekyll Wu 2011-12-23 12:16:24 UTC
*** Bug 289632 has been marked as a duplicate of this bug. ***
Comment 111 Richard M. McCord 2011-12-23 12:28:58 UTC
On Friday, December 23, 2011 12:14:17 PM Jekyll Wu wrote:
> https://bugs.kde.org/show_bug.cgi?id=272495
> 
> 
> Jekyll Wu <adaptee@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
> CC|                            |richardmmccord@yahoo.com
> 
> 
> 
> 
> --- Comment #109 from Jekyll Wu <adaptee gmail com>  2011-12-23 12:14:15 ---
> *** Bug 289660 has been marked as a duplicate of this bug. ***

This is not a duplicate.  My Plasma just crashed again after a cold boot.
Comment 112 Anne-Marie Mahfouf 2011-12-23 16:38:30 UTC
*** Bug 289676 has been marked as a duplicate of this bug. ***
Comment 113 Anne-Marie Mahfouf 2011-12-23 17:44:58 UTC
*** Bug 289683 has been marked as a duplicate of this bug. ***
Comment 114 Anne-Marie Mahfouf 2011-12-23 17:58:27 UTC
*** Bug 289669 has been marked as a duplicate of this bug. ***
Comment 115 ale.porta.87 2011-12-23 20:16:57 UTC
Created attachment 67068 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:
I Was working in multi tasking. The last thing that I had done before KDE crashed was saving an images on firefox. 
Thanks!

-- Backtrace (Reduced):
#6  operator== (value=0, this=0x740061004e000c) at /usr/include/qt4/QtCore/qbasicatomic.h:70
#7  isNull (this=0x2cbafa8) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#8  operator! (this=0x2cbafa8) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#9  TaskManager::TaskItem::task (this=<optimized out>) at ../../../libs/taskmanager/taskitem.cpp:113
#10 0x00007f864aee5068 in WindowTaskItem::publishIconGeometry (this=0x1b62020, rect=...) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:130
Comment 116 terrorfreak 2011-12-23 22:55:43 UTC
Created attachment 67074 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

i dunno wath it's the problem is, i can't install my linksys

-- Backtrace (Reduced):
#7  isNull (this=0x10) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#8  operator! (this=0x10) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#9  TaskManager::TaskItem::task (this=0x96ead30) at ../../../libs/taskmanager/taskitem.cpp:113
#10 0x0430c662 in WindowTaskItem::publishIconGeometry (this=0x973f740) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#11 0x0431d688 in AbstractTaskItem::timerEvent (this=0x973f740, event=0xbf983eac) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 117 Anne-Marie Mahfouf 2011-12-24 10:14:22 UTC
*** Bug 289714 has been marked as a duplicate of this bug. ***
Comment 118 Anne-Marie Mahfouf 2011-12-24 10:31:51 UTC
*** Bug 289704 has been marked as a duplicate of this bug. ***
Comment 119 Jekyll Wu 2011-12-24 13:04:11 UTC
*** Bug 289736 has been marked as a duplicate of this bug. ***
Comment 120 Jekyll Wu 2011-12-24 14:29:08 UTC
*** Bug 289738 has been marked as a duplicate of this bug. ***
Comment 121 Jekyll Wu 2011-12-24 16:31:18 UTC
*** Bug 289748 has been marked as a duplicate of this bug. ***
Comment 122 Lamarque V. Souza 2011-12-24 17:43:51 UTC
*** Bug 289752 has been marked as a duplicate of this bug. ***
Comment 123 Jekyll Wu 2011-12-24 20:58:53 UTC
*** Bug 289757 has been marked as a duplicate of this bug. ***
Comment 124 Jekyll Wu 2011-12-26 05:58:41 UTC
*** Bug 289826 has been marked as a duplicate of this bug. ***
Comment 125 Anne-Marie Mahfouf 2011-12-26 17:47:51 UTC
*** Bug 289873 has been marked as a duplicate of this bug. ***
Comment 126 Helio Loureiro 2011-12-27 15:44:10 UTC
Created attachment 67160 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

Nothing special.  I was closing a GTK application windows (pidgin).  But it is crashing quite often.

-- Backtrace (Reduced):
#7  isNull (this=0x1) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#8  operator! (this=0x1) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#9  TaskManager::TaskItem::task (this=0x95f35b8) at ../../../libs/taskmanager/taskitem.cpp:113
#10 0xa2854662 in WindowTaskItem::publishIconGeometry (this=0xa5a50e8) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#11 0xa2865688 in AbstractTaskItem::timerEvent (this=0xa5a50e8, event=0xbf9ab39c) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 127 Jekyll Wu 2011-12-27 17:55:03 UTC
*** Bug 289940 has been marked as a duplicate of this bug. ***
Comment 128 Jekyll Wu 2011-12-27 23:28:45 UTC
*** Bug 289957 has been marked as a duplicate of this bug. ***
Comment 129 Jekyll Wu 2011-12-27 23:29:05 UTC
*** Bug 289952 has been marked as a duplicate of this bug. ***
Comment 130 Jekyll Wu 2011-12-28 06:34:44 UTC
*** Bug 289985 has been marked as a duplicate of this bug. ***
Comment 131 Anne-Marie Mahfouf 2011-12-28 13:18:14 UTC
*** Bug 290004 has been marked as a duplicate of this bug. ***
Comment 132 Anne-Marie Mahfouf 2011-12-28 17:48:55 UTC
*** Bug 290030 has been marked as a duplicate of this bug. ***
Comment 133 Anne-Marie Mahfouf 2011-12-28 17:58:24 UTC
*** Bug 290032 has been marked as a duplicate of this bug. ***
Comment 134 darkwaveguru 2011-12-28 22:29:26 UTC
Created attachment 67207 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed: The Desktop will crash quite often when more than one window is open, this can happen 4 - 5 times a session over about a 6 or 7 hour session. This happens more frequently when saving a picture with Firefox however Firefox is not the only reason. Apps running were Amarok playing MP3 Podcast, Firefox and Dolphin and I had just closed or was about to close Kid 3 Audio Tagger and saved a jpeg file from firefox. Below is a snippit from my notifications record not sure if it is useful but have included.

- KNotify Wed Dec 28 21:46:24 2011: Activate Window
- KNotify Wed Dec 28 21:46:33 2011: Delete Dialogue
- KNotify Wed Dec 28 21:46:33 2011: Activate Window
- KNotify Wed Dec 28 21:46:45 2011: hhhhhhhjgjufx.jpeg : Downloading finished
- KNotify Wed Dec 28 21:46:45 2011: New Window
- KNotify Wed Dec 28 21:46:45 2011: Activate Window
- KNotify Wed Dec 28 21:46:45 2011: Delete Window

-- Backtrace (Reduced):
#7  operator== (value=0, this=0x474e5091) at /usr/include/qt4/QtCore/qbasicatomic.h:70
#8  isNull (this=0xbe9c3b8) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#9  operator! (this=0xbe9c3b8) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#10 TaskManager::TaskItem::task (this=0xc090b30) at ../../../libs/taskmanager/taskitem.cpp:113
#11 0x0549c590 in WindowTaskItem::publishIconGeometry (this=0xc12b6e0, rect=...) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:130
Comment 135 Jekyll Wu 2011-12-29 08:53:06 UTC
*** Bug 290071 has been marked as a duplicate of this bug. ***
Comment 136 Jekyll Wu 2011-12-29 10:53:11 UTC
*** Bug 290081 has been marked as a duplicate of this bug. ***
Comment 137 Jekyll Wu 2011-12-29 19:00:37 UTC
*** Bug 290101 has been marked as a duplicate of this bug. ***
Comment 138 Jekyll Wu 2011-12-29 19:01:05 UTC
*** Bug 290106 has been marked as a duplicate of this bug. ***
Comment 139 Jekyll Wu 2011-12-30 00:45:38 UTC
*** Bug 290129 has been marked as a duplicate of this bug. ***
Comment 140 Jekyll Wu 2011-12-30 04:31:54 UTC
*** Bug 290147 has been marked as a duplicate of this bug. ***
Comment 141 Jekyll Wu 2011-12-30 05:10:09 UTC
*** Bug 290148 has been marked as a duplicate of this bug. ***
Comment 142 Jekyll Wu 2011-12-30 07:44:06 UTC
*** Bug 290152 has been marked as a duplicate of this bug. ***
Comment 143 Christoph Feck 2011-12-30 12:57:27 UTC
*** Bug 290165 has been marked as a duplicate of this bug. ***
Comment 144 Christoph Feck 2011-12-30 12:58:42 UTC
*** Bug 290152 has been marked as a duplicate of this bug. ***
Comment 145 Jekyll Wu 2011-12-30 14:06:26 UTC
*** Bug 290178 has been marked as a duplicate of this bug. ***
Comment 146 Jekyll Wu 2011-12-30 15:12:10 UTC
*** Bug 290185 has been marked as a duplicate of this bug. ***
Comment 147 Anne-Marie Mahfouf 2011-12-30 19:10:18 UTC
*** Bug 290199 has been marked as a duplicate of this bug. ***
Comment 148 Jekyll Wu 2011-12-30 21:47:04 UTC
*** Bug 290194 has been marked as a duplicate of this bug. ***
Comment 149 Jekyll Wu 2011-12-30 22:40:27 UTC
*** Bug 290215 has been marked as a duplicate of this bug. ***
Comment 150 Jekyll Wu 2011-12-30 22:41:26 UTC
*** Bug 290213 has been marked as a duplicate of this bug. ***
Comment 151 Jekyll Wu 2011-12-30 23:20:54 UTC
*** Bug 290218 has been marked as a duplicate of this bug. ***
Comment 152 Jekyll Wu 2011-12-31 23:15:29 UTC
*** Bug 290280 has been marked as a duplicate of this bug. ***
Comment 153 Jekyll Wu 2011-12-31 23:20:35 UTC
*** Bug 290268 has been marked as a duplicate of this bug. ***
Comment 154 Jekyll Wu 2011-12-31 23:35:55 UTC
*** Bug 290289 has been marked as a duplicate of this bug. ***
Comment 155 Jekyll Wu 2012-01-01 07:57:43 UTC
*** Bug 290300 has been marked as a duplicate of this bug. ***
Comment 156 Thijs 2012-01-01 15:35:27 UTC
*** Bug 290291 has been marked as a duplicate of this bug. ***
Comment 157 Jekyll Wu 2012-01-01 17:25:20 UTC
*** Bug 290336 has been marked as a duplicate of this bug. ***
Comment 158 Anne-Marie Mahfouf 2012-01-02 09:10:15 UTC
*** Bug 290364 has been marked as a duplicate of this bug. ***
Comment 159 Jekyll Wu 2012-01-02 09:22:38 UTC
*** Bug 290372 has been marked as a duplicate of this bug. ***
Comment 160 Thijs 2012-01-02 16:58:53 UTC
*** Bug 290414 has been marked as a duplicate of this bug. ***
Comment 161 Christoph Feck 2012-01-02 19:20:39 UTC
*** Bug 290427 has been marked as a duplicate of this bug. ***
Comment 162 D3v3L0per212 2012-01-02 20:16:45 UTC
Created attachment 67348 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

- Unusual behavior I noticed:

"Crash in TaskManager::TaskItem::task"
Note: The bug report's title is often written by its reporter and may not reflect the bug's nature, root cause or other visible symptoms you could use to compare to your crash. Please read the complete report and all the comments below.
Note: This bug report has 147 duplicate reports. That means this is probably a common crash. Please consider only adding a comment or a note if you can provide new valuable information which was not already mentioned.
Bug Report Status: Closed (Fixed in version "4.7.4")
Affected Component: plasma (general)
Description of the bug
Application: plasma-desktop (0.4)
KDE Platform Version: 4.6.2 (4.6.2)
Qt Version: 4.7.2
Operating System: Linux 2.6.38-8-generic x86_64
Distribution: Ubuntu 11.04

-- Information about the crash:
- What I was doing when the application crashed: Nothing special. Just Iming someone.
Restarted fine when I chose that in Dr. Konqui and is just fine now..

-- Backtrace:
Application: Plasma Desktop Shell (plasma-desktop), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f95d9c577a0 (LWP 15594))]

Thread 2 (Thread 0x7f95bd47d700 (LWP 15608)):
#0 0x00007f95ce85dd9a in __pthread_mutex_unlock_usercnt (mutex=0x2765ba8) at pthread_mutex_unlock.c:52
#1 __pthread_mutex_unlock (mutex=0x2765ba8) at pthread_mutex_unlock.c:290
#2 0x00007f95cdf5584e in g_main_context_check (context=0x2765ba0, max_priority=2147483647, fds=, n_fds=) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:2959
#3 0x00007f95cdf56122 in g_main_context_iterate (context=0x2765ba0, block=, dispatch=1, self=) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3088
#4 0x00007f95cdf56639 in g_main_context_iteration (context=0x2765ba0, may_block=1) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3154
#5 0x00007f95d6782446 in QEventDispatcherGlib::processEvents (this=0x2b02fc0, flags=) at kernel/qeventdispatcher_glib.cpp:424
#6 0x00007f95d6756882 in QEventLoop::processEvents (this=, flags=...) at kernel/qeventloop.cpp:149
#7 0x00007f95d6756abc in QEventLoop::exec (this=0x7f95bd47cdb0, flags=...) at kernel/qeventloop.cpp:201
#8 0x00007f95d666d924 in QThread::exec (this=) at thread/qthread.cpp:492
#9 0x00007f95d6738c2f in QInotifyFileSystemWatcherEngine::run (this=0x285bf60) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007f95d6670175 in QThreadPrivate::start (arg=0x285bf60) at thread/qthread_unix.cpp:320
#11 0x00007f95ce859d8c in start_thread (arg=0x7f95bd47d700) at pthread_create.c:304
#12 0x00007f95d958104d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f95d9c577a0 (LWP 15594)):
[KCrash Handler]
#6 isNull (this=0x37b47d0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:558
#7 operator! (this=0x37b47d0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:564
#8 TaskManager::TaskItem::task (this=0x37b47d0) at ../../../libs/taskmanager/taskitem.cpp:106
#9 0x00007f95bf7467d2 in WindowTaskItem::publishIconGeometry (this=0x3528360) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007f95bf74fb0c in AbstractTaskItem::setGeometry (this=0x3528360, geometry=...) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:1014
#11 0x00007f95d614ac60 in setGeometry (this=0x35fd1a0, styleInfo=, contentsGeometry=...) at graphicsview/qgridlayoutengine.cpp:701
#12 QGridLayoutEngine::setGeometries (this=0x35fd1a0, styleInfo=, contentsGeometry=...) at graphicsview/qgridlayoutengine.cpp:1096
#13 0x00007f95d60d5d73 in QGraphicsGridLayout::setGeometry (this=, rect=) at graphicsview/qgraphicsgridlayout.cpp:636
#14 0x00007f95d614ac60 in setGeometry (this=0x33e41a0, styleInfo=, contentsGeometry=...) at graphicsview/qgridlayoutengine.cpp:701
#15 QGridLayoutEngine::setGeometries (this=0x33e41a0, styleInfo=, contentsGeometry=...) at graphicsview/qgridlayoutengine.cpp:1096
#16 0x00007f95d6101b83 in QGraphicsLinearLayout::setGeometry (this=, rect=) at graphicsview/qgraphicslinearlayout.cpp:518
#17 0x00007f95d60ffcf3 in QGraphicsLayout::activate (this=0x32852f0) at graphicsview/qgraphicslayout.cpp:272
#18 0x00007f95d60ffd69 in QGraphicsLayout::widgetEvent (this=0x32852f0, e=) at graphicsview/qgraphicslayout.cpp:372
#19 0x00007f95d613da8a in QGraphicsWidget::event (this=0x36f17c0, event=0x7fffcd872670) at graphicsview/qgraphicswidget.cpp:1347
#20 0x00007f95d5b189e4 in QApplicationPrivate::notify_helper (this=0x23bb1b0, receiver=0x36f17c0, e=0x7fffcd872670) at kernel/qapplication.cpp:4462
#21 0x00007f95d5b1d3aa in QApplication::notify (this=, receiver=0x36f17c0, e=0x7fffcd872670) at kernel/qapplication.cpp:4341
#22 0x00007f95d740f866 in KApplication::notify (this=0x237e610, receiver=0x36f17c0, event=0x7fffcd872670) at ../../kdeui/kernel/kapplication.cpp:311
#23 0x00007f95d675749c in QCoreApplication::notifyInternal (this=0x237e610, receiver=0x36f17c0, event=0x7fffcd872670) at kernel/qcoreapplication.cpp:731
#24 0x00007f95d613f243 in sendEvent (this=0x36f17c0, rect=...) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#25 QGraphicsWidget::setGeometry (this=0x36f17c0, rect=...) at graphicsview/qgraphicswidget.cpp:404
#26 0x00007f95d613ccb8 in QGraphicsWidget::resize (this=0x36f17c0, size=...) at graphicsview/qgraphicswidget.cpp:309
#27 0x00007f95d613d6a0 in QGraphicsWidget::adjustSize (this=0x36f17c0) at graphicsview/qgraphicswidget.cpp:846
#28 0x00007f95bf757ddc in TaskGroupItem::itemRemoved (this=0x37d2f90, groupableItem=0x3238fe0) at ../../../../../plasma/desktop/applets/tasks/taskgroupitem.cpp:558
#29 0x00007f95bf75c03d in TaskGroupItem::qt_metacall (this=0x37d2f90, _c=QMetaObject::InvokeMetaMethod, _id=, _a=0x7fffcd872a20) at ./taskgroupitem.moc:124
#30 0x00007f95d676c5f8 in QMetaObject::activate (sender=0x34c78a0, m=, local_signal_index=, argv=0x7fffcd872a20) at kernel/qobject.cpp:3287
#31 0x00007f95c02087e2 in TaskManager::TaskGroup::itemRemoved (this=, _t1=0x3238fe0) at ./taskgroup.moc:159
#32 0x00007f95c0208a67 in TaskManager::TaskGroup::remove (this=0x34c78a0, item=0x3238fe0) at ../../../libs/taskmanager/taskgroup.cpp:303
#33 0x00007f95c0208d05 in TaskManager::TaskGroup::add (this=0x33bd030, item=0x3238fe0) at ../../../libs/taskmanager/taskgroup.cpp:191
#34 0x00007f95c01f3e85 in TaskManager::AbstractGroupingStrategy::closeGroup (this=0x3284ed0, group=0x34c78a0) at ../../../libs/taskmanager/abstractgroupingstrategy.cpp:167
#35 0x00007f95c01fef4f in TaskManager::ProgramGroupingStrategy::checkGroup (this=0x3284ed0) at ../../../libs/taskmanager/strategies/programgroupingstrategy.cpp:243
#36 0x00007f95c01ffb67 in TaskManager::ProgramGroupingStrategy::qt_metacall (this=0x3284ed0, _c=QMetaObject::InvokeMetaMethod, _id=, _a=0x7fffcd872d00) at ./programgroupingstrategy.moc:76
#37 0x00007f95d676c5f8 in QMetaObject::activate (sender=0x34c78a0, m=, local_signal_index=, argv=0x7fffcd872d00) at kernel/qobject.cpp:3287
#38 0x00007f95c02087e2 in TaskManager::TaskGroup::itemRemoved (this=, _t1=0x37b47d0) at ./taskgroup.moc:159
#39 0x00007f95c0209bc2 in TaskManager::TaskGroup::Private::signalRemovals (this=0x3235a00) at ../../../libs/taskmanager/taskgroup.cpp:251
#40 0x00007f95c0209c3d in TaskManager::TaskGroup::qt_metacall (this=0x34c78a0, _c=QMetaObject::InvokeMetaMethod, _id=, _a=0x30ffa70) at ./taskgroup.moc:140
#41 0x00007f95d676b49a in QObject::event (this=0x34c78a0, e=) at kernel/qobject.cpp:1226
#42 0x00007f95d5b189e4 in QApplicationPrivate::notify_helper (this=0x23bb1b0, receiver=0x34c78a0, e=0x381afd0) at kernel/qapplication.cpp:4462
#43 0x00007f95d5b1d3aa in QApplication::notify (this=, receiver=0x34c78a0, e=0x381afd0) at kernel/qapplication.cpp:4341
#44 0x00007f95d740f866 in KApplication::notify (this=0x237e610, receiver=0x34c78a0, event=0x381afd0) at ../../kdeui/kernel/kapplication.cpp:311
#45 0x00007f95d675749c in QCoreApplication::notifyInternal (this=0x237e610, receiver=0x34c78a0, event=0x381afd0) at kernel/qcoreapplication.cpp:731
#46 0x00007f95d675ac25 in sendEvent (receiver=0x0, event_type=0, data=0x2312b60) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#47 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x2312b60) at kernel/qcoreapplication.cpp:1372
#48 0x00007f95d6782253 in sendPostedEvents (s=0x23bda90) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#49 postEventSourceDispatch (s=0x23bda90) at kernel/qeventdispatcher_glib.cpp:277
#50 0x00007f95cdf55bcd in g_main_dispatch (context=0x23bd9b0) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:2440
#51 g_main_context_dispatch (context=0x23bd9b0) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3013
#52 0x00007f95cdf563a8 in g_main_context_iterate (context=0x23bd9b0, block=, dispatch=1, self=) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3091
#53 0x00007f95cdf56639 in g_main_context_iteration (context=0x23bd9b0, may_block=1) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3154
#54 0x00007f95d67823ef in QEventDispatcherGlib::processEvents (this=0x2312340, flags=) at kernel/qeventdispatcher_glib.cpp:422
#55 0x00007f95d5bbfdfe in QGuiEventDispatcherGlib::processEvents (this=, flags=) at kernel/qguieventdispatcher_glib.cpp:204
#56 0x00007f95d6756882 in QEventLoop::processEvents (this=, flags=...) at kernel/qeventloop.cpp:149
#57 0x00007f95d6756abc in QEventLoop::exec (this=0x7fffcd8736d0, flags=...) at kernel/qeventloop.cpp:201
#58 0x00007f95d675aecb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#59 0x00007f95d986d897 in kdemain (argc=1, argv=0x7fffcd873a98) at ../../../../plasma/desktop/shell/main.cpp:118
#60 0x00007f95d94b9eff in __libc_start_main (main=0x400740 , argc=1, ubp_av=0x7fffcd873a98, init=, fini=, rtld_fini=, stack_end=0x7fffcd873a88) at libc-start.c:226
#61 0x0000000000400669 in _start ()

Reported using DrKonqi
Additional Comments
Comment 2:
Created an attachment (id=63535)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.40 (4.7.40 (KDE 4.8 >= 200110623) using Qt 4.7.3

- What I was doing when the application crashed:

Opened dolphin from the "new usb device mounted" popup.

-- Backtrace (Reduced):
#6 isNull (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:558
#7 operator! (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:564
#8 TaskManager::TaskItem::task (this=0x2ebf540) at /home/adys/src/kde/kde-workspace/libs/taskmanager/taskitem.cpp:111
#9 0x00007fe8fe84d072 in WindowTaskItem::publishIconGeometry (this=0x329b280) at /home/adys/src/kde/kde-workspace/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007fe8fe85585c in AbstractTaskItem::setGeometry (this=0x329b280, geometry=...) at /home/adys/src/kde/kde-workspace/plasma/desktop/applets/tasks/abstracttaskitem.cpp:1016

Comment 3:
Created an attachment (id=65231)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

Nothing particular, maybe closing an app or minimizing it.
It's been happening a lot since I updated to KDE 4.7.3.

-- Backtrace (Reduced):
#6 0x00007f8d63ab5c47 in TaskManager::TaskItem::task() const () from /usr/lib64/libtaskmanager.so.4
#7 0x00007f8d63ce7244 in WindowTaskItem::publishIconGeometry (this=0x2afe8d0) at /var/tmp/paludis/kde-base-plasma-workspace-4.7.3/work/plasma-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#8 0x00007f8d63cf50df in AbstractTaskItem::timerEvent (this=0x2afe8d0, event=0x7fff606549c0) at /var/tmp/paludis/kde-base-plasma-workspace-4.7.3/work/plasma-workspace-4.7.3/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
#9 0x00007f8d77efc459 in QObject::event (this=0x2afe8d0, e=) at kernel/qobject.cpp:1181
#10 0x00007f8d7764526b in QGraphicsWidget::event (this=0x2afe8d0, event=0x7fff606549c0) at graphicsview/qgraphicswidget.cpp:1455

Comment 4:
just to add my 2cents. here's a related bt that shows more info:

#3 0x00007fd58958c93c in QWeakPointer::isNull (this=0x0)
at /data/Qt/Qt-4.7/include/QtCore/qsharedpointer_impl.h:568
#4 0x00007fd58958c4ec in QWeakPointer::operator! (this=0x0)
at /data/Qt/Qt-4.7/include/QtCore/qsharedpointer_impl.h:574
#5 0x00007fd5895891c6 in TaskManager::TaskItem::task (this=0x39b3d20)
at /data/kde/trunk/KDE/kde-workspace/libs/taskmanager/taskitem.cpp:133
#6 0x00007fd588a33f3e in WindowTaskItem::publishIconGeometry (this=0x34a2520, 
rect=...)
at /data/kde/trunk/KDE/kde-workspace/plasma/desktop/applets/tasks/windowtaskitem.cpp:130
#7 0x00007fd588a506ed in TaskGroupItem::publishIconGeometry (this=0x346cc80, 
rect=...)
at /data/kde/trunk/KDE/kde-workspace/plasma/desktop/applets/tasks/taskgroupitem.cpp:1440
#8 0x00007fd588a5066b in TaskGroupItem::publishIconGeometry (this=0x346cc80)
at /data/kde/trunk/KDE/kde-workspace/plasma/desktop/applets/tasks/taskgroupitem.cpp:1432
#9 0x00007fd588a41f08 in AbstractTaskItem::timerEvent (this=0x346cc80, event=
0x7fff39027880)
at /data/kde/trunk/KDE/kde-workspace/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 5:
Created an attachment (id=65269)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:
Plasma crashed just after attaching a konsole tab from one window to another, which would remove one of the Konsole`s entries

-- Backtrace (Reduced):
#6 isNull (this=0x3d) at /usr/include/QtCore/qsharedpointer_impl.h:568
#7 operator! (this=0x3d) at /usr/include/QtCore/qsharedpointer_impl.h:574
#8 TaskManager::TaskItem::task (this=0x54690e0) at /home/vitor/kdesrc/kde/kde-workspace/libs/taskmanager/taskitem.cpp:135
#9 0x00007fc41f9782f2 in WindowTaskItem::publishIconGeometry (this=0x5684a00) at /home/vitor/kdesrc/kde/kde-workspace/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007fc41f986f6c in AbstractTaskItem::timerEvent (this=0x5684a00, event=) at /home/vitor/kdesrc/kde/kde-workspace/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 6:
> - What I was doing when the application crashed:
> Plasma crashed just after attaching a konsole tab from one window to another,
> which would remove one of the Konsole`s entries

Update: I can reproduce this problem most of the time by opening Konsole, then creating another window with Ctrl+Shift+N and then attaching the new Konsole tab on the first one. It seens the problem only occurs when the two Konsole windows are grouped in the task bar

Comment 9:
Created an attachment (id=65335)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

I closed a group of 4 windows, then plasma crashed.

-- Backtrace (Reduced):
#6 isNull (this=0x3f54c90) at /usr/include/QtCore/qsharedpointer_impl.h:568
#7 operator! (this=0x3f54c90) at /usr/include/QtCore/qsharedpointer_impl.h:574
#8 TaskManager::TaskItem::task (this=0x3f54c90) at /usr/src/debug/kde-workspace-4.7.3/libs/taskmanager/taskitem.cpp:113
#9 0x00007f9ca9a89292 in WindowTaskItem::publishIconGeometry (this=0x3d909e0) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007f9ca9a965ec in AbstractTaskItem::timerEvent (this=0x3d909e0, event=) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 13:
Application: plasma-desktop (0.4)
KDE Platform Version: 4.7.3 (4.7.3)
Qt Version: 4.7.4
Operating System: Linux 3.0-ARCH i686

-- Information about the crash:
It has happened every time when i open new window of chromium and this windows is not maximized.

The crash can be reproduced every time.

-- Backtrace:
Application: Plasma Desktop Shell (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0xb56e8710 (LWP 1210))]

Thread 2 (Thread 0xa9db7b70 (LWP 1211)):
#0 0xb780f424 in __kernel_vsyscall ()
#1 0xb60b51ae in poll () from /lib/libc.so.6
#2 0xb5b4209b in g_poll () from /usr/lib/libglib-2.0.so.0
#3 0xb5b335e6 in ?? () from /usr/lib/libglib-2.0.so.0
#4 0xb5b3397a in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5 0xb6e8dea7 in QEventDispatcherGlib::processEvents(QFlags) () from /usr/lib/libQtCore.so.4
#6 0xb6e5eb6d in QEventLoop::processEvents(QFlags) () from /usr/lib/libQtCore.so.4
#7 0xb6e5edb1 in QEventLoop::exec(QFlags) () from /usr/lib/libQtCore.so.4
#8 0xb6d623ab in QThread::exec() () from /usr/lib/libQtCore.so.4
#9 0xb6e3f83d in ?? () from /usr/lib/libQtCore.so.4
#10 0xb6d65253 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb27e870c in ?? () from /usr/lib/libGL.so.1
#12 0x00000000 in ?? ()

Thread 1 (Thread 0xb56e8710 (LWP 1210)):
[KCrash Handler]
#7 0xaf5b085c in TaskManager::TaskItem::task() const () from /usr/lib/libtaskmanager.so.4
#8 0xaf554642 in ?? () from /usr/lib/kde4/plasma_applet_tasks.so
#9 0xaf565658 in ?? () from /usr/lib/kde4/plasma_applet_tasks.so
#10 0xb6e77d04 in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#11 0xb6a42f44 in QGraphicsWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#12 0xb6389a24 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#13 0xb638edd3 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#14 0xb7596d41 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#15 0xb6e5fb2e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#16 0xb6e8ff70 in ?? () from /usr/lib/libQtCore.so.4
#17 0xb6e8d492 in ?? () from /usr/lib/libQtCore.so.4
#18 0xb5b32faf in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#19 0xb5b336e0 in ?? () from /usr/lib/libglib-2.0.so.0
#20 0xb5b3397a in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#21 0xb6e8de4a in QEventDispatcherGlib::processEvents(QFlags) () from /usr/lib/libQtCore.so.4
#22 0xb643cf8a in ?? () from /usr/lib/libQtGui.so.4
#23 0xb6e5eb6d in QEventLoop::processEvents(QFlags) () from /usr/lib/libQtCore.so.4
#24 0xb6e5edb1 in QEventLoop::exec(QFlags) () from /usr/lib/libQtCore.so.4
#25 0xb6e6350d in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#26 0xb6387894 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#27 0xb07c914b in kdemain () from /usr/lib/libkdeinit4_plasma-desktop.so
#28 0x0804f4a2 in _start ()

Comment 14:
Looking to your backtrace, I'd say your bug is not the same as the one reported here. Can you fill a separate report, please?

Vitor

(In reply to comment #13)
> Application: plasma-desktop (0.4)
> KDE Platform Version: 4.7.3 (4.7.3)
> Qt Version: 4.7.4
> Operating System: Linux 3.0-ARCH i686
> 
> -- Information about the crash:
> It has happened every time when i open new window of chromium and this windows
> is not maximized.
> 
> The crash can be reproduced every time.
> 
> -- Backtrace:
> Application: Plasma Desktop Shell (kdeinit4), signal: Segmentation fault
> [Current thread is 1 (Thread 0xb56e8710 (LWP 1210))]
> 
> Thread 2 (Thread 0xa9db7b70 (LWP 1211)):
> #0 0xb780f424 in __kernel_vsyscall ()
> #1 0xb60b51ae in poll () from /lib/libc.so.6
> #2 0xb5b4209b in g_poll () from /usr/lib/libglib-2.0.so.0
> #3 0xb5b335e6 in ?? () from /usr/lib/libglib-2.0.so.0
> #4 0xb5b3397a in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
> #5 0xb6e8dea7 in
> QEventDispatcherGlib::processEvents(QFlags) ()
> from /usr/lib/libQtCore.so.4
> #6 0xb6e5eb6d in
> QEventLoop::processEvents(QFlags) () from
> /usr/lib/libQtCore.so.4
> #7 0xb6e5edb1 in QEventLoop::exec(QFlags) ()
> from /usr/lib/libQtCore.so.4
> #8 0xb6d623ab in QThread::exec() () from /usr/lib/libQtCore.so.4
> #9 0xb6e3f83d in ?? () from /usr/lib/libQtCore.so.4
> #10 0xb6d65253 in ?? () from /usr/lib/libQtCore.so.4
> #11 0xb27e870c in ?? () from /usr/lib/libGL.so.1
> #12 0x00000000 in ?? ()
> 
> Thread 1 (Thread 0xb56e8710 (LWP 1210)):
> [KCrash Handler]
> #7 0xaf5b085c in TaskManager::TaskItem::task() const () from
> /usr/lib/libtaskmanager.so.4
> #8 0xaf554642 in ?? () from /usr/lib/kde4/plasma_applet_tasks.so
> #9 0xaf565658 in ?? () from /usr/lib/kde4/plasma_applet_tasks.so
> #10 0xb6e77d04 in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
> #11 0xb6a42f44 in QGraphicsWidget::event(QEvent*) () from
> /usr/lib/libQtGui.so.4
> #12 0xb6389a24 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from
> /usr/lib/libQtGui.so.4
> #13 0xb638edd3 in QApplication::notify(QObject*, QEvent*) () from
> /usr/lib/libQtGui.so.4
> #14 0xb7596d41 in KApplication::notify(QObject*, QEvent*) () from
> /usr/lib/libkdeui.so.5
> #15 0xb6e5fb2e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from
> /usr/lib/libQtCore.so.4
> #16 0xb6e8ff70 in ?? () from /usr/lib/libQtCore.so.4
> #17 0xb6e8d492 in ?? () from /usr/lib/libQtCore.so.4
> #18 0xb5b32faf in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
> #19 0xb5b336e0 in ?? () from /usr/lib/libglib-2.0.so.0
> #20 0xb5b3397a in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
> #21 0xb6e8de4a in
> QEventDispatcherGlib::processEvents(QFlags) ()
> from /usr/lib/libQtCore.so.4
> #22 0xb643cf8a in ?? () from /usr/lib/libQtGui.so.4
> #23 0xb6e5eb6d in
> QEventLoop::processEvents(QFlags) () from
> /usr/lib/libQtCore.so.4
> #24 0xb6e5edb1 in QEventLoop::exec(QFlags) ()
> from /usr/lib/libQtCore.so.4
> #25 0xb6e6350d in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
> #26 0xb6387894 in QApplication::exec() () from /usr/lib/libQtGui.so.4
> #27 0xb07c914b in kdemain () from /usr/lib/libkdeinit4_plasma-desktop.so
> #28 0x0804f4a2 in _start ()

Comment 15:
Yes, of course i did this in 285812, but i'll register a new one

(In reply to comment #14)
> Looking to your backtrace, I'd say your bug is not the same as the one reported
> here. Can you fill a separate report, please?
> 
> Vitor
> 
> (In reply to comment #13)
> > Application: plasma-desktop (0.4)
> > KDE Platform Version: 4.7.3 (4.7.3)
> > Qt Version: 4.7.4
> > Operating System: Linux 3.0-ARCH i686
> > 
> > -- Information about the crash:
> > It has happened every time when i open new window of chromium and this windows
> > is not maximized.
> > 
> > The crash can be reproduced every time.
> > 
> > -- Backtrace:
> > Application: Plasma Desktop Shell (kdeinit4), signal: Segmentation fault
> > [Current thread is 1 (Thread 0xb56e8710 (LWP 1210))]
> > 
> > Thread 2 (Thread 0xa9db7b70 (LWP 1211)):
> > #0 0xb780f424 in __kernel_vsyscall ()
> > #1 0xb60b51ae in poll () from /lib/libc.so.6
> > #2 0xb5b4209b in g_poll () from /usr/lib/libglib-2.0.so.0
> > #3 0xb5b335e6 in ?? () from /usr/lib/libglib-2.0.so.0
> > #4 0xb5b3397a in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
> > #5 0xb6e8dea7 in
> > QEventDispatcherGlib::processEvents(QFlags) ()
> > from /usr/lib/libQtCore.so.4
> > #6 0xb6e5eb6d in
> > QEventLoop::processEvents(QFlags) () from
> > /usr/lib/libQtCore.so.4
> > #7 0xb6e5edb1 in QEventLoop::exec(QFlags) ()
> > from /usr/lib/libQtCore.so.4
> > #8 0xb6d623ab in QThread::exec() () from /usr/lib/libQtCore.so.4
> > #9 0xb6e3f83d in ?? () from /usr/lib/libQtCore.so.4
> > #10 0xb6d65253 in ?? () from /usr/lib/libQtCore.so.4
> > #11 0xb27e870c in ?? () from /usr/lib/libGL.so.1
> > #12 0x00000000 in ?? ()
> > 
> > Thread 1 (Thread 0xb56e8710 (LWP 1210)):
> > [KCrash Handler]
> > #7 0xaf5b085c in TaskManager::TaskItem::task() const () from
> > /usr/lib/libtaskmanager.so.4
> > #8 0xaf554642 in ?? () from /usr/lib/kde4/plasma_applet_tasks.so
> > #9 0xaf565658 in ?? () from /usr/lib/kde4/plasma_applet_tasks.so
> > #10 0xb6e77d04 in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
> > #11 0xb6a42f44 in QGraphicsWidget::event(QEvent*) () from
> > /usr/lib/libQtGui.so.4
> > #12 0xb6389a24 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from
> > /usr/lib/libQtGui.so.4
> > #13 0xb638edd3 in QApplication::notify(QObject*, QEvent*) () from
> > /usr/lib/libQtGui.so.4
> > #14 0xb7596d41 in KApplication::notify(QObject*, QEvent*) () from
> > /usr/lib/libkdeui.so.5
> > #15 0xb6e5fb2e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from
> > /usr/lib/libQtCore.so.4
> > #16 0xb6e8ff70 in ?? () from /usr/lib/libQtCore.so.4
> > #17 0xb6e8d492 in ?? () from /usr/lib/libQtCore.so.4
> > #18 0xb5b32faf in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
> > #19 0xb5b336e0 in ?? () from /usr/lib/libglib-2.0.so.0
> > #20 0xb5b3397a in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
> > #21 0xb6e8de4a in
> > QEventDispatcherGlib::processEvents(QFlags) ()
> > from /usr/lib/libQtCore.so.4
> > #22 0xb643cf8a in ?? () from /usr/lib/libQtGui.so.4
> > #23 0xb6e5eb6d in
> > QEventLoop::processEvents(QFlags) () from
> > /usr/lib/libQtCore.so.4
> > #24 0xb6e5edb1 in QEventLoop::exec(QFlags) ()
> > from /usr/lib/libQtCore.so.4
> > #25 0xb6e6350d in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
> > #26 0xb6387894 in QApplication::exec() () from /usr/lib/libQtGui.so.4
> > #27 0xb07c914b in kdemain () from /usr/lib/libkdeinit4_plasma-desktop.so
> > #28 0x0804f4a2 in _start ()

Comment 17:
Created an attachment (id=65460)
Stacked windows

Steps to reproduce:

When two windows are stacked, move your mouse point onto the bottom one, right click, and close it.

Comment 18:
Here's a valgrind log. I don't have libQtGui debug symbols, and it's taking too long to download them.

==12961== Invalid read of size 8
==12961== at 0x8921372: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x8AE8126: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x8AF767D: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x8A7521E: QPainter::drawPixmap(QPointF const&, QPixmap const&) (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x22417E2D: AbstractTaskItem::drawTextLayout(QPainter*, QTextLayout const&, QRect const&) (qpainter.h:842)
==12961== by 0x224189F1: AbstractTaskItem::drawTask(QPainter*, QStyleOptionGraphicsItem const*, QWidget*) (abstracttaskitem.cpp:706)
==12961== by 0x8F1238C: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x8F24C33: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x8F270C7: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x8F27D26: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x8F26F3F: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x8F27D26: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961== Address 0x30dd0528 is 6,184 bytes inside a block of size 6,188 alloc'd
==12961== at 0x4C2683D: malloc (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==12961== by 0x89E5706: QImageData::create(QSize const&, QImage::Format, int) (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x89E690A: QImage::QImage(int, int, QImage::Format) (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x8A0EB33: QRasterPixmapData::fill(QColor const&) (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x22417FF8: AbstractTaskItem::drawTextLayout(QPainter*, QTextLayout const&, QRect const&) (abstracttaskitem.cpp:853)
==12961== by 0x224189F1: AbstractTaskItem::drawTask(QPainter*, QStyleOptionGraphicsItem const*, QWidget*) (abstracttaskitem.cpp:706)
==12961== by 0x8F1238C: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x8F24C33: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x8F270C7: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x8F27D26: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x8F26F3F: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x8F27D26: ??? (in /usr/lib64/libQtGui.so.4.7.4)

==12961== Invalid read of size 8
==12961== at 0x221DC050: TaskManager::TaskItem::task() const (taskitem.cpp:113)
==12961== by 0x2240A1E9: WindowTaskItem::publishIconGeometry(QRect const&) const (windowtaskitem.cpp:130)
==12961== by 0x2241B1C9: TaskGroupItem::publishIconGeometry(QRect const&) const (taskgroupitem.cpp:1432)
==12961== by 0x22419C74: TaskGroupItem::publishIconGeometry() const (taskgroupitem.cpp:1424)
==12961== by 0x2241298B: AbstractTaskItem::setGeometry(QRectF const&) (abstracttaskitem.cpp:1018)
==12961== by 0x8F50840: ??? (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x8F4A334: QGraphicsWidget::itemChange(QGraphicsItem::GraphicsItemChange, QVariant const&) (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x8EFE572: QGraphicsItem::setPos(QPointF const&) (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x22416613: AbstractTaskItem::qt_metacall(QMetaObject::Call, int, void**) (abstracttaskitem.cpp:993)
==12961== by 0x2241F0B4: TaskGroupItem::qt_metacall(QMetaObject::Call, int, void**) (taskgroupitem.moc:105)
==12961== by 0x810B488: QPropertyAnimationPrivate::updateProperty(QVariant const&) (qpropertyanimation.cpp:139)
==12961== by 0x8108A8F: QVariantAnimationPrivate::setCurrentValueForProgress(double) (qvariantanimation.cpp:293)
==12961== Address 0x1b24b968 is 24 bytes inside a block of size 32 free'd
==12961== at 0x4C2562E: operator delete(void*) (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==12961== by 0x821E7D7: QObject::event(QEvent*) (qobject.cpp:1209)
==12961== by 0x8929263: QApplicationPrivate::notify_helper(QObject*, QEvent*) (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x8931819: QApplication::notify(QObject*, QEvent*) (in /usr/lib64/libQtGui.so.4.7.4)
==12961== by 0x752AAE5: KApplication::notify(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.7.0)
==12961== by 0x820A7CB: QCoreApplication::notifyInternal(QObject*, QEvent*) (qcoreapplication.cpp:787)
==12961== by 0x820DFC4: QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (qcoreapplication.h:215)
==12961== by 0x8235442: postEventSourceDispatch(_GSource*, int (*)(void*), void*) (qcoreapplication.h:220)
==12961== by 0x11610BD2: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2800.0)
==12961== by 0x116113AF: ??? (in /lib64/libglib-2.0.so.0.2800.0)
==12961== by 0x1161164F: g_main_context_iteration (in /lib64/libglib-2.0.so.0.2800.0)
==12961== by 0x82355DE: QEventDispatcherGlib::processEvents(QFlags) (qeventdispatcher_glib.cpp:422)

Comment 19:
Created an attachment (id=65463)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) "release 10" using Qt 4.7.4

- What I was doing when the application crashed:
I just closed opera at one time. At another past time i renamed a file on the "Folder View" plasmoid using the F2 keyboard shortcut, and when i typed enter it crashed. 

- Unusual behavior I noticed:
On the open proccesses view at the bottom panel, the pager was not properly aligned. 

- Custom settings of the application:
Using opensuse 11.3, updated to KDE 4.7.3 from the official repositories. I have Compiz emerald with the desktop cube effect activated, and i use it a lot.

-- Backtrace (Reduced):
#7 operator== (this=0x9368fa8) at /usr/include/QtCore/qbasicatomic.h:70
#8 isNull (this=0x9368fa8) at /usr/include/QtCore/qsharedpointer_impl.h:568
#9 operator! (this=0x9368fa8) at /usr/include/QtCore/qsharedpointer_impl.h:574
#10 TaskManager::TaskItem::task (this=0x9368fa8) at /usr/src/debug/kde-workspace-4.7.3/libs/taskmanager/taskitem.cpp:113
#11 0xb0de78a2 in WindowTaskItem::publishIconGeometry (this=0x9339ea0) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:120

Comment 20:
Git commit 83f422db945e08e3e8d97e7c9b94cc7497e5e0fb by Aaron Seigo.
Committed on 10/11/2011 at 11:33.
Pushed by aseigo into branch 'master'.

make TaskItem return a Task* instead of a smart pointer (KShardPtr).

TaskItem holds onto a QWeakPointer internally, and then is constantly handing out
new KSharedPtr's on that pointer's data. it's used infrequently and where it is used
items should be providing their own smart pointer wrappers on an as-need basis.

TaskItem is based on the idea that the task may go away at any time ... so respect
that contract and do not create new strong shared pointers from its internal pointer.

i believe this to be related to BR272495

CCBUG:272495

M +1 -1 libs/taskmanager/groupmanager.cpp
M +5 -5 libs/taskmanager/launcheritem.cpp
M +16 -14 libs/taskmanager/taskactions.cpp
M +1 -1 libs/taskmanager/taskactions_p.h
M +2 -5 libs/taskmanager/taskitem.cpp
M +2 -2 libs/taskmanager/taskitem.h

http://commits.kde.org/kde-workspace/83f422db945e08e3e8d97e7c9b94cc7497e5e0fb

Comment 27:
Git commit 639155a5493a28ca9460d60fa0c078ec65c3bb96 by Aaron Seigo.
Committed on 10/11/2011 at 13:01.
Pushed by aseigo into branch 'KDE/4.7'.

use a QWeakPointer to track the lifespan of the task

the itemRemoved signal from TaskGroup has dangling pointers, apparently
by design (the next thing on my list to investigate), and the signal is
delayed. so between the actual deletion of the task and the signal, there
pointer is a dangler. easy solution is to just track it in the WindowTaskItem
itself with a cheap QWeakPointer.

BUG:272495

M +4 -0 plasma/desktop/applets/tasks/abstracttaskitem.cpp
M +1 -1 plasma/desktop/applets/tasks/abstracttaskitem.h
M +29 -39 plasma/desktop/applets/tasks/windowtaskitem.cpp
M +1 -2 plasma/desktop/applets/tasks/windowtaskitem.h

http://commits.kde.org/kde-workspace/639155a5493a28ca9460d60fa0c078ec65c3bb96

Comment 28:
Git commit 017a0935187b919c118ede2fd2f27cf063f71bfb by Aaron Seigo.
Committed on 10/11/2011 at 13:01.
Pushed by aseigo into branch 'master'.

use a QWeakPointer to track the lifespan of the task

the itemRemoved signal from TaskGroup has dangling pointers, apparently
by design (the next thing on my list to investigate), and the signal is
delayed. so between the actual deletion of the task and the signal, there
pointer is a dangler. easy solution is to just track it in the WindowTaskItem
itself with a cheap QWeakPointer.

BUG:272495

Conflicts:

plasma/desktop/applets/tasks/windowtaskitem.cpp

M +4 -0 plasma/desktop/applets/tasks/abstracttaskitem.cpp
M +1 -1 plasma/desktop/applets/tasks/abstracttaskitem.h
M +29 -39 plasma/desktop/applets/tasks/windowtaskitem.cpp
M +1 -2 plasma/desktop/applets/tasks/windowtaskitem.h

http://commits.kde.org/kde-workspace/017a0935187b919c118ede2fd2f27cf063f71bfb

Comment 33:
Created an attachment (id=65726)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.8.0

Some time after the work of the plasma decreases. I run Skype, Mozilla Firefox 7, Mozilla Thunderbird 7, pidgin, konsole and my IDE to work.

-- Backtrace (Reduced):
#6 isNull (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:580
#7 operator! (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:586
#8 TaskManager::TaskItem::task (this=0x48f72c0) at /usr/src/debug/kde-workspace-4.7.3/libs/taskmanager/taskitem.cpp:113
#9 0x00007fffeaf922c2 in WindowTaskItem::publishIconGeometry (this=0x3ec6000) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007fffeafa0bbc in AbstractTaskItem::timerEvent (this=0x3ec6000, event=) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 34:
Created an attachment (id=65727)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.8.0

Some time after the work of the plasma decreases. I run Skype, Mozilla Firefox 7, Mozilla Thunderbird 7, pidgin, konsole and my IDE to work.

-- Backtrace (Reduced):
#6 isNull (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:580
#7 operator! (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:586
#8 TaskManager::TaskItem::task (this=0x48f72c0) at /usr/src/debug/kde-workspace-4.7.3/libs/taskmanager/taskitem.cpp:113
#9 0x00007fffeaf922c2 in WindowTaskItem::publishIconGeometry (this=0x3ec6000) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007fffeafa0bbc in AbstractTaskItem::timerEvent (this=0x3ec6000, event=) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 35:
Created an attachment (id=65728)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.8.0

Some time after the work of the plasma decreases. I run Skype, Mozilla Firefox 7, Mozilla Thunderbird 7, pidgin, konsole and my IDE to work.

-- Backtrace (Reduced):
#6 isNull (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:580
#7 operator! (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:586
#8 TaskManager::TaskItem::task (this=0x48f72c0) at /usr/src/debug/kde-workspace-4.7.3/libs/taskmanager/taskitem.cpp:113
#9 0x00007fffeaf922c2 in WindowTaskItem::publishIconGeometry (this=0x3ec6000) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007fffeafa0bbc in AbstractTaskItem::timerEvent (this=0x3ec6000, event=) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 36:
Created an attachment (id=65729)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.8.0

Some time after the work of the plasma decreases. I run Skype, Mozilla Firefox 7, Mozilla Thunderbird 7, pidgin, konsole and my IDE to work.

-- Backtrace (Reduced):
#6 isNull (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:580
#7 operator! (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:586
#8 TaskManager::TaskItem::task (this=0x48f72c0) at /usr/src/debug/kde-workspace-4.7.3/libs/taskmanager/taskitem.cpp:113
#9 0x00007fffeaf922c2 in WindowTaskItem::publishIconGeometry (this=0x3ec6000) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007fffeafa0bbc in AbstractTaskItem::timerEvent (this=0x3ec6000, event=) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 37:
Created an attachment (id=65730)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.8.0

Some time after the work of the plasma decreases. I run Skype, Mozilla Firefox 7, Mozilla Thunderbird 7, pidgin, konsole and my IDE to work.

-- Backtrace (Reduced):
#6 isNull (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:580
#7 operator! (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:586
#8 TaskManager::TaskItem::task (this=0x48f72c0) at /usr/src/debug/kde-workspace-4.7.3/libs/taskmanager/taskitem.cpp:113
#9 0x00007fffeaf922c2 in WindowTaskItem::publishIconGeometry (this=0x3ec6000) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007fffeafa0bbc in AbstractTaskItem::timerEvent (this=0x3ec6000, event=) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 38:
Created an attachment (id=65731)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.8.0

Some time after the work of the plasma decreases. I run Skype, Mozilla Firefox 7, Mozilla Thunderbird 7, pidgin, konsole and my IDE to work.

-- Backtrace (Reduced):
#6 isNull (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:580
#7 operator! (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:586
#8 TaskManager::TaskItem::task (this=0x48f72c0) at /usr/src/debug/kde-workspace-4.7.3/libs/taskmanager/taskitem.cpp:113
#9 0x00007fffeaf922c2 in WindowTaskItem::publishIconGeometry (this=0x3ec6000) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007fffeafa0bbc in AbstractTaskItem::timerEvent (this=0x3ec6000, event=) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 39:
Created an attachment (id=65732)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.8.0

Some time after the work of the plasma decreases. I run Skype, Mozilla Firefox 7, Mozilla Thunderbird 7, pidgin, konsole and my IDE to work.

-- Backtrace (Reduced):
#6 isNull (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:580
#7 operator! (this=0x4d0000) at /usr/include/QtCore/qsharedpointer_impl.h:586
#8 TaskManager::TaskItem::task (this=0x48f72c0) at /usr/src/debug/kde-workspace-4.7.3/libs/taskmanager/taskitem.cpp:113
#9 0x00007fffeaf922c2 in WindowTaskItem::publishIconGeometry (this=0x3ec6000) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007fffeafa0bbc in AbstractTaskItem::timerEvent (this=0x3ec6000, event=) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 40:
Sorry for the duplication: I could not send a message

Comment 52:
Created an attachment (id=65999)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:
Closed a window of the Ark preview.
Same happens when minimizing or closing MATLAB and most of other apps, but quite random.

-- Backtrace (Reduced):
#6 isNull (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#7 operator! (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#8 TaskManager::TaskItem::task (this=0x5f74330) at ../../../libs/taskmanager/taskitem.cpp:113
#9 0x00007f1b167c0112 in WindowTaskItem::publishIconGeometry (this=0x6061730) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007f1b167ceb7c in AbstractTaskItem::timerEvent (this=0x6061730, event=) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 53:
Created an attachment (id=66031)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

Plasma crashes when an application is minimized or closed. JavaEmbeddedFrame Error

-- Backtrace (Reduced):
#7 isNull (this=0x4) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#8 operator! (this=0x4) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#9 TaskManager::TaskItem::task (this=0x91c15a0) at ../../../libs/taskmanager/taskitem.cpp:113
#10 0x0491e662 in WindowTaskItem::publishIconGeometry (this=0x8abf058) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#11 0x0492f688 in AbstractTaskItem::timerEvent (this=0x8abf058, event=0xbf9ec9ac) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 60:
Created an attachment (id=66230)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

I was switching applications using the taskbar.
The same also happens frequently when closing a window.

-- Backtrace (Reduced):
#6 isNull (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#7 operator! (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#8 TaskManager::TaskItem::task (this=0x5511e20) at ../../../libs/taskmanager/taskitem.cpp:113
#9 0x00007f67a9525112 in WindowTaskItem::publishIconGeometry (this=0x528ea90) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007f67a9533b7c in AbstractTaskItem::timerEvent (this=0x528ea90, event=) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 61:
Created an attachment (id=66231)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

I was switching applications using the taskbar.
The same also happens frequently when closing a window.

-- Backtrace (Reduced):
#6 isNull (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#7 operator! (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#8 TaskManager::TaskItem::task (this=0x5511e20) at ../../../libs/taskmanager/taskitem.cpp:113
#9 0x00007f67a9525112 in WindowTaskItem::publishIconGeometry (this=0x528ea90) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007f67a9533b7c in AbstractTaskItem::timerEvent (this=0x528ea90, event=) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 62:
Created an attachment (id=66232)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

I was switching applications using the taskbar.
The same also happens frequently when closing a window.

-- Backtrace (Reduced):
#6 isNull (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#7 operator! (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#8 TaskManager::TaskItem::task (this=0x5511e20) at ../../../libs/taskmanager/taskitem.cpp:113
#9 0x00007f67a9525112 in WindowTaskItem::publishIconGeometry (this=0x528ea90) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007f67a9533b7c in AbstractTaskItem::timerEvent (this=0x528ea90, event=) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 68:
Created an attachment (id=66363)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) "release 10" using Qt 4.7.4

- What I was doing when the application crashed:

Opening a new workspace in Eclipse. Clicked OK and plasma crashed.

-- Backtrace (Reduced):
#6 operator== (this=0x501edf0) at /usr/include/QtCore/qbasicatomic.h:70
#7 isNull (this=0x501edf0) at /usr/include/QtCore/qsharedpointer_impl.h:568
#8 operator! (this=0x501edf0) at /usr/include/QtCore/qsharedpointer_impl.h:574
#9 TaskManager::TaskItem::task (this=0x501edf0) at /usr/src/debug/kde-workspace-4.7.3/libs/taskmanager/taskitem.cpp:113
#10 0x00007f24c38c01ea in WindowTaskItem::publishIconGeometry (this=0x4ff7f20, rect=...) at /usr/src/debug/kde-workspace-4.7.3/plasma/desktop/applets/tasks/windowtaskitem.cpp:130

Comment 73:
Created an attachment (id=66469)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

closed new firefox tab and then got the crash

-- Backtrace (Reduced):
#6 isNull (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#7 operator! (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#8 TaskManager::TaskItem::task (this=0x3759240) at ../../../libs/taskmanager/taskitem.cpp:113
#9 0x00007f3c38c76112 in WindowTaskItem::publishIconGeometry (this=0x1f94110) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007f3c38c84b7c in AbstractTaskItem::timerEvent (this=0x1f94110, event=) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 75:
Created an attachment (id=66486)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

- Unusual behavior I noticed:

- Custom settings of the application:

:))))))))))))))))))))))))))))))))))))))))))))))))))))))

-- Backtrace (Reduced):
#7 isNull (this=0xffffffff) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#8 operator! (this=0xffffffff) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#9 TaskManager::TaskItem::task (this=0xb71bf10) at ../../../libs/taskmanager/taskitem.cpp:113
#10 0x0294c662 in WindowTaskItem::publishIconGeometry (this=0xb7b5178) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#11 0x0295d688 in AbstractTaskItem::timerEvent (this=0xb7b5178, event=0xbfe370ac) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 77:
Created an attachment (id=66537)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

Sending e-mail in Thunderbird with CTRL+ENTER.

-- Backtrace (Reduced):
#7 isNull (this=0x680073) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#8 operator! (this=0x680073) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#9 TaskManager::TaskItem::task (this=0xacad8a8) at ../../../libs/taskmanager/taskitem.cpp:113
#10 0xaecc4662 in WindowTaskItem::publishIconGeometry (this=0xb017bc8) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#11 0xaecd5688 in AbstractTaskItem::timerEvent (this=0xb017bc8, event=0xbfa6235c) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 82:
Git commit 76fde4fb8a67cf6663a76015ce48d09799447699 by Anne-Marie Mahfouf.
Committed on 11/12/2011 at 09:34.
Pushed by annma into branch 'master'.

fix dropping formatted text

Thanks to rshah for the patch

BUG:272495

M +2 -1 applets/notes/notes.cpp

http://commits.kde.org/kdeplasma-addons/76fde4fb8a67cf6663a76015ce48d09799447699

Comment 83:
Ignore the above, it addresses 
https://bugs.kde.org/show_bug.cgi?id=263104

Sorry about this error.

Comment 85:
Created an attachment (id=66689)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed: I just sent an email with attachment through Thunderbird.

-- Backtrace (Reduced):
#7 isNull (this=0x4) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#8 operator! (this=0x4) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#9 TaskManager::TaskItem::task (this=0xb296788) at ../../../libs/taskmanager/taskitem.cpp:113
#10 0xb62cf662 in WindowTaskItem::publishIconGeometry (this=0xa8d57a8) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#11 0xb62e0688 in AbstractTaskItem::timerEvent (this=0xa8d57a8, event=0xbffc85fc) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 93:
I'm as happy as a pig in muck right now - we have 4.7.4 in our PPA with Kubuntu, and I can confirm (further to the marked Fix) that this is way more stable. I've literally upgraded within the last hour, and thrown EVERYTHING I can think of at it. I don't know what else you did - but the "program stuck open in panel" and "panel not responding" issues have vanished too, at least here anyway.

I've had - 30 applications open at once - every single plasma widget I have, live on my desktop at the same time - and used apper to update and install software while everything else has been running, and it's still working :)

Whoever fixed this, thank you :D

Comment 98:
Created an attachment (id=66970)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

- Unusual behavior I noticed:

The Desktop environment disappeared and returned along with the crash report assistant.

-- Backtrace (Reduced):
#6 operator== (value=0, this=0x10) at /usr/include/qt4/QtCore/qbasicatomic.h:70
#7 isNull (this=0x38e1a40) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#8 operator! (this=0x38e1a40) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#9 TaskManager::TaskItem::task (this=) at ../../../libs/taskmanager/taskitem.cpp:113
#10 0x00007fe1cc057112 in WindowTaskItem::publishIconGeometry (this=0x45cb7b0) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120

Comment 105:
Created an attachment (id=67013)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

- Unusual behavior I noticed:

Partial crash, both desktop and plasma disappeared NO WINDOWS message for Alt+Tab

-- Backtrace (Reduced):
#6 isNull (this=0x2b00000304) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#7 operator! (this=0x2b00000304) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#8 TaskManager::TaskItem::task (this=0x2d61800) at ../../../libs/taskmanager/taskitem.cpp:113
#9 0x00007f6a0d602112 in WindowTaskItem::publishIconGeometry (this=0x16d6a50) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007f6a0d610b7c in AbstractTaskItem::timerEvent (this=0x16d6a50, event=) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 106:
Created an attachment (id=67014)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

- Unusual behavior I noticed:

Partial crash, both desktop and plasma disappeared NO WINDOWS message for Alt+Tab

-- Backtrace (Reduced):
#6 isNull (this=0x2b00000304) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#7 operator! (this=0x2b00000304) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#8 TaskManager::TaskItem::task (this=0x2d61800) at ../../../libs/taskmanager/taskitem.cpp:113
#9 0x00007f6a0d602112 in WindowTaskItem::publishIconGeometry (this=0x16d6a50) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007f6a0d610b7c in AbstractTaskItem::timerEvent (this=0x16d6a50, event=) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 107:
Created an attachment (id=67015)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

- Unusual behavior I noticed:

Partial crash, both desktop and plasma disappeared NO WINDOWS message for Alt+Tab

-- Backtrace (Reduced):
#6 isNull (this=0x2b00000304) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#7 operator! (this=0x2b00000304) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#8 TaskManager::TaskItem::task (this=0x2d61800) at ../../../libs/taskmanager/taskitem.cpp:113
#9 0x00007f6a0d602112 in WindowTaskItem::publishIconGeometry (this=0x16d6a50) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007f6a0d610b7c in AbstractTaskItem::timerEvent (this=0x16d6a50, event=) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 115:
Created an attachment (id=67068)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:
I Was working in multi tasking. The last thing that I had done before KDE crashed was saving an images on firefox. 
Thanks!

-- Backtrace (Reduced):
#6 operator== (value=0, this=0x740061004e000c) at /usr/include/qt4/QtCore/qbasicatomic.h:70
#7 isNull (this=0x2cbafa8) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#8 operator! (this=0x2cbafa8) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#9 TaskManager::TaskItem::task (this=) at ../../../libs/taskmanager/taskitem.cpp:113
#10 0x00007f864aee5068 in WindowTaskItem::publishIconGeometry (this=0x1b62020, rect=...) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:130

Comment 116:
Created an attachment (id=67074)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

i dunno wath it's the problem is, i can't install my linksys

-- Backtrace (Reduced):
#7 isNull (this=0x10) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#8 operator! (this=0x10) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#9 TaskManager::TaskItem::task (this=0x96ead30) at ../../../libs/taskmanager/taskitem.cpp:113
#10 0x0430c662 in WindowTaskItem::publishIconGeometry (this=0x973f740) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#11 0x0431d688 in AbstractTaskItem::timerEvent (this=0x973f740, event=0xbf983eac) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 126:
Created an attachment (id=67160)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

Nothing special. I was closing a GTK application windows (pidgin). But it is crashing quite often.

-- Backtrace (Reduced):
#7 isNull (this=0x1) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#8 operator! (this=0x1) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#9 TaskManager::TaskItem::task (this=0x95f35b8) at ../../../libs/taskmanager/taskitem.cpp:113
#10 0xa2854662 in WindowTaskItem::publishIconGeometry (this=0xa5a50e8) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#11 0xa2865688 in AbstractTaskItem::timerEvent (this=0xa5a50e8, event=0xbf9ab39c) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439

Comment 134:
Created an attachment (id=67207)
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed: The Desktop will crash quite often when more than one window is open, this can happen 4 - 5 times a session over about a 6 or 7 hour session. This happens more frequently when saving a picture with Firefox however Firefox is not the only reason. Apps running were Amarok playing MP3 Podcast, Firefox and Dolphin and I had just closed or was about to close Kid 3 Audio Tagger and saved a jpeg file from firefox. Below is a snippit from my notifications record not sure if it is useful but have included.

- KNotify Wed Dec 28 21:46:24 2011: Activate Window
- KNotify Wed Dec 28 21:46:33 2011: Delete Dialogue
- KNotify Wed Dec 28 21:46:33 2011: Activate Window
- KNotify Wed Dec 28 21:46:45 2011: hhhhhhhjgjufx.jpeg : Downloading finished
- KNotify Wed Dec 28 21:46:45 2011: New Window
- KNotify Wed Dec 28 21:46:45 2011: Activate Window
- KNotify Wed Dec 28 21:46:45 2011: Delete Window

-- Backtrace (Reduced):
#7 operator== (value=0, this=0x474e5091) at /usr/include/qt4/QtCore/qbasicatomic.h:70
#8 isNull (this=0xbe9c3b8) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#9 operator! (this=0xbe9c3b8) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#10 TaskManager::TaskItem::task (this=0xc090b30) at ../../../libs/taskmanager/taskitem.cpp:113
#11 0x0549c590 in WindowTaskItem::publishIconGeometry (this=0xc12b6e0, rect=...) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:130

-- Backtrace (Reduced):
#7  operator== (value=0, this=0x244c8908) at /usr/include/qt4/QtCore/qbasicatomic.h:70
#8  isNull (this=0x1e00002) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#9  operator! (this=0x1e00002) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#10 TaskManager::TaskItem::task (this=0x9876d80) at ../../../libs/taskmanager/taskitem.cpp:113
#11 0x05c04662 in WindowTaskItem::publishIconGeometry (this=0xa4c91b0) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
Comment 163 Jekyll Wu 2012-01-02 20:33:58 UTC
*** Bug 290431 has been marked as a duplicate of this bug. ***
Comment 164 Jekyll Wu 2012-01-02 22:27:04 UTC
*** Bug 290449 has been marked as a duplicate of this bug. ***
Comment 165 Jekyll Wu 2012-01-02 23:06:46 UTC
*** Bug 290453 has been marked as a duplicate of this bug. ***
Comment 166 Thijs 2012-01-03 10:04:53 UTC
*** Bug 290070 has been marked as a duplicate of this bug. ***
Comment 167 Thijs 2012-01-03 15:27:38 UTC
*** Bug 290499 has been marked as a duplicate of this bug. ***
Comment 168 Thijs 2012-01-03 16:05:22 UTC
*** Bug 290507 has been marked as a duplicate of this bug. ***
Comment 169 Thijs 2012-01-03 16:05:38 UTC
*** Bug 290506 has been marked as a duplicate of this bug. ***
Comment 170 Thijs 2012-01-03 16:06:43 UTC
*** Bug 290505 has been marked as a duplicate of this bug. ***
Comment 171 Anne-Marie Mahfouf 2012-01-03 19:17:11 UTC
*** Bug 290519 has been marked as a duplicate of this bug. ***
Comment 172 Jekyll Wu 2012-01-03 22:15:44 UTC
*** Bug 290538 has been marked as a duplicate of this bug. ***
Comment 173 Jekyll Wu 2012-01-04 06:12:53 UTC
*** Bug 290559 has been marked as a duplicate of this bug. ***
Comment 174 Jekyll Wu 2012-01-04 06:50:29 UTC
*** Bug 290561 has been marked as a duplicate of this bug. ***
Comment 175 Jekyll Wu 2012-01-04 10:50:13 UTC
*** Bug 290581 has been marked as a duplicate of this bug. ***
Comment 176 Thijs 2012-01-04 16:05:58 UTC
*** Bug 290597 has been marked as a duplicate of this bug. ***
Comment 177 zigac 2012-01-04 18:33:28 UTC
Created attachment 67457 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:
I was browsing the internet, switching between tabs.
- Unusual behavior I noticed:
I noticed that plasma-desktop crashes randomly almost everyday. It crashes also on shutdown, if i have option saved session enabled and then my computer simply won't shutdown, i have to do it manually.

-- Backtrace (Reduced):
#6  isNull (this=0xc018000000000005) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#7  operator! (this=0xc018000000000005) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#8  TaskManager::TaskItem::task (this=0x3a9e900) at ../../../libs/taskmanager/taskitem.cpp:113
#9  0x00007ff4b8e81112 in WindowTaskItem::publishIconGeometry (this=0x3fadf90) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007ff4b8e8fb7c in AbstractTaskItem::timerEvent (this=0x3fadf90, event=<optimized out>) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 178 Thijs 2012-01-04 22:00:36 UTC
*** Bug 290635 has been marked as a duplicate of this bug. ***
Comment 179 Jekyll Wu 2012-01-04 23:14:14 UTC
*** Bug 290641 has been marked as a duplicate of this bug. ***
Comment 180 Jekyll Wu 2012-01-05 06:33:27 UTC
*** Bug 290654 has been marked as a duplicate of this bug. ***
Comment 181 Beat Wolf 2012-01-05 08:15:16 UTC
*** Bug 290664 has been marked as a duplicate of this bug. ***
Comment 182 Jekyll Wu 2012-01-05 09:40:10 UTC
*** Bug 290672 has been marked as a duplicate of this bug. ***
Comment 183 Thijs 2012-01-05 10:27:57 UTC
*** Bug 290674 has been marked as a duplicate of this bug. ***
Comment 184 Jekyll Wu 2012-01-05 10:40:56 UTC
*** Bug 290677 has been marked as a duplicate of this bug. ***
Comment 185 Arth Lloyd Flores 2012-01-05 11:41:05 UTC
I experienced this kind of bug.. I can't shutdown using the option on the
kickoff launcher.

On Thu, Jan 5, 2012 at 2:33 AM, zigac <ziga@cepec.info> wrote:

> https://bugs.kde.org/show_bug.cgi?id=272495
>
>
>
>
>
> --- Comment #177 from zigac <ziga cepec info>  2012-01-04 18:33:28 ---
> Created an attachment (id=67457)
>  --> (http://bugs.kde.org/attachment.cgi?id=67457)
> New crash information added by DrKonqi
>
> plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4
>
> - What I was doing when the application crashed:
> I was browsing the internet, switching between tabs.
> - Unusual behavior I noticed:
> I noticed that plasma-desktop crashes randomly almost everyday. It crashes
> also
> on shutdown, if i have option saved session enabled and then my computer
> simply
> won't shutdown, i have to do it manually.
>
> -- Backtrace (Reduced):
> #6  isNull (this=0xc018000000000005) at
> /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
> #7  operator! (this=0xc018000000000005) at
> /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
> #8  TaskManager::TaskItem::task (this=0x3a9e900) at
> ../../../libs/taskmanager/taskitem.cpp:113
> #9  0x00007ff4b8e81112 in WindowTaskItem::publishIconGeometry
> (this=0x3fadf90)
> at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
> #10 0x00007ff4b8e8fb7c in AbstractTaskItem::timerEvent (this=0x3fadf90,
> event=<optimized out>) at
> ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 186 Thijs 2012-01-05 12:43:56 UTC
*** Bug 290685 has been marked as a duplicate of this bug. ***
Comment 187 Jekyll Wu 2012-01-05 12:52:54 UTC
*** Bug 290686 has been marked as a duplicate of this bug. ***
Comment 188 Christoph Feck 2012-01-05 15:39:44 UTC
*** Bug 290700 has been marked as a duplicate of this bug. ***
Comment 189 Thijs 2012-01-05 17:00:10 UTC
*** Bug 290713 has been marked as a duplicate of this bug. ***
Comment 190 Thijs 2012-01-05 17:45:33 UTC
*** Bug 290717 has been marked as a duplicate of this bug. ***
Comment 191 zigac 2012-01-05 19:57:43 UTC
Created attachment 67498 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:
Minimizing google chrome browser.
- Unusual behavior I noticed:
Plasma often crashes when i am using google chrome, switching beetween tabs and minimizing the main window, special if i have a lot of tabs open!

-- Backtrace (Reduced):
#6  operator== (value=0, this=0xd) at /usr/include/qt4/QtCore/qbasicatomic.h:70
#7  isNull (this=0x4895460) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#8  operator! (this=0x4895460) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#9  TaskManager::TaskItem::task (this=<optimized out>) at ../../../libs/taskmanager/taskitem.cpp:113
#10 0x00007f0294c34112 in WindowTaskItem::publishIconGeometry (this=0x381a140) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
Comment 192 Jekyll Wu 2012-01-05 23:47:30 UTC
*** Bug 290751 has been marked as a duplicate of this bug. ***
Comment 193 Jekyll Wu 2012-01-05 23:50:59 UTC
*** Bug 290741 has been marked as a duplicate of this bug. ***
Comment 194 Christoph Feck 2012-01-06 00:47:50 UTC
*** Bug 290761 has been marked as a duplicate of this bug. ***
Comment 195 Jekyll Wu 2012-01-06 13:15:00 UTC
*** Bug 290795 has been marked as a duplicate of this bug. ***
Comment 196 Christoph Feck 2012-01-06 17:30:19 UTC
*** Bug 290810 has been marked as a duplicate of this bug. ***
Comment 197 Jekyll Wu 2012-01-06 18:34:51 UTC
*** Bug 290813 has been marked as a duplicate of this bug. ***
Comment 198 D3v3L0per212 2012-01-07 09:24:57 UTC
Hi there,
Am experienciing contants, crashs on Plasm Desktop application ... Is it any way to find out when will the bug  be fixed   ??
Regards,
Motul

> Date: Fri, 6 Jan 2012 13:15:05 +0000
> From: adaptee@gmail.com
> To: ak47akapen@hotmail.com
> Subject: [Bug 272495] Crash in TaskManager::TaskItem::task
> 
> https://bugs.kde.org/show_bug.cgi?id=272495
> 
> 
> Jekyll Wu <adaptee@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|                            |mazesloup@gmail.com
> 
> 
> 
> 
> --- Comment #195 from Jekyll Wu <adaptee gmail com>  2012-01-06 13:15:00 ---
> *** Bug 290795 has been marked as a duplicate of this bug. ***
> 
> -- 
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
Comment 199 Jekyll Wu 2012-01-07 10:16:43 UTC
*** Bug 290859 has been marked as a duplicate of this bug. ***
Comment 200 Jekyll Wu 2012-01-07 11:20:01 UTC
*** Bug 290870 has been marked as a duplicate of this bug. ***
Comment 201 Christoph Feck 2012-01-07 13:31:52 UTC
You can find out by reading this page (hint: search for "fixed in").
Comment 202 Thijs 2012-01-07 14:41:09 UTC
*** Bug 290881 has been marked as a duplicate of this bug. ***
Comment 203 Anne-Marie Mahfouf 2012-01-08 08:50:21 UTC
*** Bug 290926 has been marked as a duplicate of this bug. ***
Comment 204 Thijs 2012-01-08 09:42:49 UTC
*** Bug 290943 has been marked as a duplicate of this bug. ***
Comment 205 Jekyll Wu 2012-01-08 13:57:07 UTC
*** Bug 290969 has been marked as a duplicate of this bug. ***
Comment 206 Anne-Marie Mahfouf 2012-01-08 19:15:44 UTC
*** Bug 290993 has been marked as a duplicate of this bug. ***
Comment 207 Thijs 2012-01-08 21:41:14 UTC
*** Bug 291000 has been marked as a duplicate of this bug. ***
Comment 208 Thijs 2012-01-08 21:41:25 UTC
*** Bug 290995 has been marked as a duplicate of this bug. ***
Comment 209 Thijs 2012-01-08 21:41:55 UTC
*** Bug 290994 has been marked as a duplicate of this bug. ***
Comment 210 Thijs 2012-01-09 09:16:40 UTC
*** Bug 291036 has been marked as a duplicate of this bug. ***
Comment 211 Jekyll Wu 2012-01-09 11:45:54 UTC
*** Bug 291046 has been marked as a duplicate of this bug. ***
Comment 212 Jekyll Wu 2012-01-09 14:10:35 UTC
*** Bug 291054 has been marked as a duplicate of this bug. ***
Comment 213 Anne-Marie Mahfouf 2012-01-09 18:47:49 UTC
*** Bug 291073 has been marked as a duplicate of this bug. ***
Comment 214 Jekyll Wu 2012-01-10 06:39:34 UTC
*** Bug 291121 has been marked as a duplicate of this bug. ***
Comment 215 Jekyll Wu 2012-01-10 07:29:26 UTC
*** Bug 291125 has been marked as a duplicate of this bug. ***
Comment 216 Jekyll Wu 2012-01-10 07:57:54 UTC
*** Bug 291127 has been marked as a duplicate of this bug. ***
Comment 217 Jekyll Wu 2012-01-10 15:58:33 UTC
*** Bug 291180 has been marked as a duplicate of this bug. ***
Comment 218 Jekyll Wu 2012-01-10 17:01:00 UTC
*** Bug 291187 has been marked as a duplicate of this bug. ***
Comment 219 Christoph Feck 2012-01-10 21:53:37 UTC
*** Bug 291212 has been marked as a duplicate of this bug. ***
Comment 220 Christoph Feck 2012-01-10 22:17:37 UTC
*** Bug 291217 has been marked as a duplicate of this bug. ***
Comment 221 Christoph Feck 2012-01-10 22:18:49 UTC
*** Bug 291218 has been marked as a duplicate of this bug. ***
Comment 222 Christoph Feck 2012-01-10 23:08:26 UTC
*** Bug 291225 has been marked as a duplicate of this bug. ***
Comment 223 Jekyll Wu 2012-01-11 05:18:05 UTC
*** Bug 291241 has been marked as a duplicate of this bug. ***
Comment 224 Jekyll Wu 2012-01-11 11:11:36 UTC
*** Bug 291255 has been marked as a duplicate of this bug. ***
Comment 225 Lamarque V. Souza 2012-01-11 11:38:25 UTC
*** Bug 291254 has been marked as a duplicate of this bug. ***
Comment 226 Thijs 2012-01-11 12:36:19 UTC
*** Bug 291257 has been marked as a duplicate of this bug. ***
Comment 227 kdebugs 2012-01-11 16:45:37 UTC
Created attachment 67701 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

Copying files using Dolphin. From a local Folder to a fish:// folder.
But actually: this doesn't matter much; Plasma keeps crashing randomly 0-5 times a day.
And during shutdown.

-- Backtrace (Reduced):
#6  isNull (this=0x2d7b969600000001) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#7  operator! (this=0x2d7b969600000001) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#8  TaskManager::TaskItem::task (this=0x3c7fa10) at ../../../libs/taskmanager/taskitem.cpp:113
#9  0x00007f77857d0112 in WindowTaskItem::publishIconGeometry (this=0x4687530) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#10 0x00007f77857deb7c in AbstractTaskItem::timerEvent (this=0x4687530, event=<optimized out>) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 228 Thijs 2012-01-11 18:47:26 UTC
*** Bug 291285 has been marked as a duplicate of this bug. ***
Comment 229 Thijs 2012-01-11 21:56:22 UTC
*** Bug 291295 has been marked as a duplicate of this bug. ***
Comment 230 Anne-Marie Mahfouf 2012-01-12 07:31:44 UTC
*** Bug 291334 has been marked as a duplicate of this bug. ***
Comment 231 Anne-Marie Mahfouf 2012-01-12 07:31:59 UTC
*** Bug 291298 has been marked as a duplicate of this bug. ***
Comment 232 Jekyll Wu 2012-01-12 07:54:09 UTC
*** Bug 291338 has been marked as a duplicate of this bug. ***
Comment 233 Anne-Marie Mahfouf 2012-01-12 14:33:21 UTC
*** Bug 291373 has been marked as a duplicate of this bug. ***
Comment 234 Anne-Marie Mahfouf 2012-01-12 15:54:32 UTC
*** Bug 291377 has been marked as a duplicate of this bug. ***
Comment 235 Anne-Marie Mahfouf 2012-01-12 20:16:03 UTC
*** Bug 291392 has been marked as a duplicate of this bug. ***
Comment 236 Anne-Marie Mahfouf 2012-01-13 07:28:44 UTC
*** Bug 291409 has been marked as a duplicate of this bug. ***
Comment 237 Anne-Marie Mahfouf 2012-01-13 07:29:58 UTC
*** Bug 291398 has been marked as a duplicate of this bug. ***
Comment 238 Anne-Marie Mahfouf 2012-01-13 07:31:30 UTC
*** Bug 291405 has been marked as a duplicate of this bug. ***
Comment 239 Anne-Marie Mahfouf 2012-01-13 08:33:36 UTC
*** Bug 291419 has been marked as a duplicate of this bug. ***
Comment 240 Marius Kliche 2012-01-13 11:09:03 UTC
Created attachment 67778 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed: I closed a firefox window when KDE desktop crashed

-- Backtrace (Reduced):
#7  isNull (this=0x1) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#8  operator! (this=0x1) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#9  TaskManager::TaskItem::task (this=0x935c1c8) at ../../../libs/taskmanager/taskitem.cpp:113
#10 0x0407f662 in WindowTaskItem::publishIconGeometry (this=0x90c50d8) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#11 0x04090688 in AbstractTaskItem::timerEvent (this=0x90c50d8, event=0xbfc0226c) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 241 Jekyll Wu 2012-01-13 11:18:10 UTC
*** Bug 291431 has been marked as a duplicate of this bug. ***
Comment 242 Anne-Marie Mahfouf 2012-01-13 13:37:08 UTC
*** Bug 291439 has been marked as a duplicate of this bug. ***
Comment 243 Anne-Marie Mahfouf 2012-01-13 14:08:23 UTC
*** Bug 291447 has been marked as a duplicate of this bug. ***
Comment 244 Darek Panasiuk 2012-01-13 20:57:52 UTC
Created attachment 67797 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed: normal usage. kde crashed when I closed team viewer 6

-- Backtrace (Reduced):
#7  isNull (this=0x4) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#8  operator! (this=0x4) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#9  TaskManager::TaskItem::task (this=0xaf1d578) at ../../../libs/taskmanager/taskitem.cpp:113
#10 0x08f01590 in WindowTaskItem::publishIconGeometry (this=0xa7e2b90, rect=...) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:130
#11 0x08f13b24 in TaskGroupItem::publishIconGeometry (this=0xabf8bf8, rect=...) at ../../../../../plasma/desktop/applets/tasks/taskgroupitem.cpp:1438
Comment 245 Lamarque V. Souza 2012-01-14 03:49:21 UTC
*** Bug 291487 has been marked as a duplicate of this bug. ***
Comment 246 Kooh 2012-01-14 04:47:18 UTC
Created attachment 67806 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

everytime when changing windows it crashes

-- Backtrace (Reduced):
#7  isNull (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#8  operator! (this=0x0) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#9  TaskManager::TaskItem::task (this=0x9bc9bb8) at ../../../libs/taskmanager/taskitem.cpp:113
#10 0x04285662 in WindowTaskItem::publishIconGeometry (this=0x98117d0) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
#11 0x04296688 in AbstractTaskItem::timerEvent (this=0x98117d0, event=0xbff1f73c) at ../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:439
Comment 247 Jekyll Wu 2012-01-14 13:23:15 UTC
*** Bug 291511 has been marked as a duplicate of this bug. ***
Comment 248 Jekyll Wu 2012-01-14 13:23:33 UTC
*** Bug 291510 has been marked as a duplicate of this bug. ***
Comment 249 Jekyll Wu 2012-01-14 17:19:24 UTC
*** Bug 291530 has been marked as a duplicate of this bug. ***
Comment 250 Jekyll Wu 2012-01-15 01:59:25 UTC
*** Bug 291555 has been marked as a duplicate of this bug. ***
Comment 251 Jekyll Wu 2012-01-15 10:57:17 UTC
*** Bug 291569 has been marked as a duplicate of this bug. ***
Comment 252 Jekyll Wu 2012-01-15 13:33:36 UTC
*** Bug 291577 has been marked as a duplicate of this bug. ***
Comment 253 Jekyll Wu 2012-01-15 18:32:27 UTC
*** Bug 291600 has been marked as a duplicate of this bug. ***
Comment 254 Jekyll Wu 2012-01-16 02:51:39 UTC
*** Bug 291620 has been marked as a duplicate of this bug. ***
Comment 255 Jekyll Wu 2012-01-16 02:52:22 UTC
*** Bug 291619 has been marked as a duplicate of this bug. ***
Comment 256 Jekyll Wu 2012-01-16 02:58:07 UTC
*** Bug 291610 has been marked as a duplicate of this bug. ***
Comment 257 Thijs 2012-01-16 10:19:40 UTC
*** Bug 291642 has been marked as a duplicate of this bug. ***
Comment 258 Jekyll Wu 2012-01-16 15:25:35 UTC
*** Bug 291664 has been marked as a duplicate of this bug. ***
Comment 259 Dino Ivankov 2012-01-16 18:17:32 UTC
Created attachment 67900 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:
Closing the Pidgin IM application, with just XMPP enabled
- Unusual behavior I noticed:
Some time ago (half an hour or so) I tried to open XML file and the action resulted in opening many many empty application indicators in the taskbar, all empty. System tried to open the file with winebrowser.

-- Backtrace (Reduced):
#6  operator== (value=0, this=0x11000c) at /usr/include/qt4/QtCore/qbasicatomic.h:70
#7  isNull (this=0x4e23b9c) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:568
#8  operator! (this=0x4e23b9c) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:574
#9  TaskManager::TaskItem::task (this=<optimized out>) at ../../../libs/taskmanager/taskitem.cpp:113
#10 0x00007fe95c3cf112 in WindowTaskItem::publishIconGeometry (this=0x4a60980) at ../../../../../plasma/desktop/applets/tasks/windowtaskitem.cpp:120
Comment 260 Anne-Marie Mahfouf 2012-01-16 19:08:30 UTC
*** Bug 291679 has been marked as a duplicate of this bug. ***
Comment 261 Anne-Marie Mahfouf 2012-01-16 19:10:02 UTC
*** Bug 291680 has been marked as a duplicate of this bug. ***
Comment 262 Robert Downing 2012-01-16 19:14:59 UTC
Sorry, Anne-Marie, I thought I'd selected that one as the likely 
candidate when I reported mine this AM!

Thanks.

Robert Downing
CEO
Anaceta Corp.
www.guardian-shield.com
510 468 0066 (mobile)
radowningii (Skype)

On 01/16/2012 11:10 AM, Anne-Marie Mahfouf wrote:
> https://bugs.kde.org/show_bug.cgi?id=272495
>
>
> Anne-Marie Mahfouf<annma@kde.org>  changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                   CC|                            |robert.downing@guardian-shi
>                     |                            |eld.com
>
>
>
>
> --- Comment #261 from Anne-Marie Mahfouf<annma kde org>   2012-01-16 19:10:02 ---
> *** Bug 291680 has been marked as a duplicate of this bug. ***
>
Comment 263 Anne-Marie Mahfouf 2012-01-16 19:58:07 UTC
*** Bug 291689 has been marked as a duplicate of this bug. ***
Comment 264 Thijs 2012-01-17 10:49:42 UTC
*** Bug 291755 has been marked as a duplicate of this bug. ***
Comment 265 Thijs 2012-01-17 15:08:33 UTC
*** Bug 291780 has been marked as a duplicate of this bug. ***
Comment 266 Thijs 2012-01-17 15:46:04 UTC
*** Bug 291785 has been marked as a duplicate of this bug. ***
Comment 267 Thijs 2012-01-17 17:31:42 UTC
*** Bug 291787 has been marked as a duplicate of this bug. ***
Comment 268 Anne-Marie Mahfouf 2012-01-18 13:20:03 UTC
*** Bug 291860 has been marked as a duplicate of this bug. ***
Comment 269 Jekyll Wu 2012-01-18 13:45:26 UTC
*** Bug 291854 has been marked as a duplicate of this bug. ***
Comment 270 Jekyll Wu 2012-01-18 13:47:49 UTC
*** Bug 291848 has been marked as a duplicate of this bug. ***
Comment 271 Anne-Marie Mahfouf 2012-01-18 18:50:01 UTC
*** Bug 291889 has been marked as a duplicate of this bug. ***
Comment 272 Anne-Marie Mahfouf 2012-01-18 18:51:05 UTC
*** Bug 291884 has been marked as a duplicate of this bug. ***
Comment 273 Anne-Marie Mahfouf 2012-01-18 19:24:29 UTC
*** Bug 291893 has been marked as a duplicate of this bug. ***
Comment 274 Lamarque V. Souza 2012-01-18 22:39:45 UTC
*** Bug 291905 has been marked as a duplicate of this bug. ***
Comment 275 Jekyll Wu 2012-01-19 04:42:42 UTC
*** Bug 291911 has been marked as a duplicate of this bug. ***
Comment 276 Jekyll Wu 2012-01-19 04:42:56 UTC
*** Bug 291918 has been marked as a duplicate of this bug. ***
Comment 277 Jekyll Wu 2012-01-19 04:43:15 UTC
*** Bug 291914 has been marked as a duplicate of this bug. ***
Comment 278 Jekyll Wu 2012-01-19 04:46:45 UTC
*** Bug 291919 has been marked as a duplicate of this bug. ***
Comment 279 Thijs 2012-01-19 12:07:56 UTC
*** Bug 291943 has been marked as a duplicate of this bug. ***
Comment 280 Jekyll Wu 2012-01-19 17:50:45 UTC
*** Bug 291974 has been marked as a duplicate of this bug. ***
Comment 281 Jekyll Wu 2012-01-20 02:19:03 UTC
*** Bug 292002 has been marked as a duplicate of this bug. ***
Comment 282 Jekyll Wu 2012-01-20 02:20:21 UTC
*** Bug 292003 has been marked as a duplicate of this bug. ***
Comment 283 Anne-Marie Mahfouf 2012-01-20 07:27:47 UTC
*** Bug 291986 has been marked as a duplicate of this bug. ***
Comment 284 Thijs 2012-01-20 10:32:13 UTC
*** Bug 292026 has been marked as a duplicate of this bug. ***
Comment 285 Jekyll Wu 2012-01-20 14:01:19 UTC
*** Bug 292035 has been marked as a duplicate of this bug. ***
Comment 286 Jekyll Wu 2012-01-20 15:33:35 UTC
*** Bug 292043 has been marked as a duplicate of this bug. ***
Comment 287 Jekyll Wu 2012-01-20 16:41:03 UTC
*** Bug 292049 has been marked as a duplicate of this bug. ***
Comment 288 Thijs 2012-01-20 17:51:16 UTC
*** Bug 292051 has been marked as a duplicate of this bug. ***
Comment 289 Jekyll Wu 2012-01-21 02:30:26 UTC
*** Bug 292063 has been marked as a duplicate of this bug. ***
Comment 290 Jekyll Wu 2012-01-21 02:30:46 UTC
*** Bug 292070 has been marked as a duplicate of this bug. ***
Comment 291 Thijs 2012-01-21 07:53:36 UTC
*** Bug 292079 has been marked as a duplicate of this bug. ***
Comment 292 Jekyll Wu 2012-01-21 11:22:46 UTC
*** Bug 292102 has been marked as a duplicate of this bug. ***
Comment 293 Jekyll Wu 2012-01-21 11:47:32 UTC
*** Bug 292104 has been marked as a duplicate of this bug. ***
Comment 294 Jekyll Wu 2012-01-21 14:41:49 UTC
*** Bug 292112 has been marked as a duplicate of this bug. ***
Comment 295 Jekyll Wu 2012-01-22 04:19:58 UTC
*** Bug 292153 has been marked as a duplicate of this bug. ***
Comment 296 Thijs 2012-01-22 08:52:54 UTC
*** Bug 292162 has been marked as a duplicate of this bug. ***
Comment 297 Jekyll Wu 2012-01-22 10:46:12 UTC
*** Bug 292177 has been marked as a duplicate of this bug. ***
Comment 298 Jekyll Wu 2012-01-22 12:18:06 UTC
*** Bug 292186 has been marked as a duplicate of this bug. ***
Comment 299 Jekyll Wu 2012-01-22 12:44:14 UTC
*** Bug 292187 has been marked as a duplicate of this bug. ***
Comment 300 Thijs 2012-01-22 22:17:34 UTC
*** Bug 292220 has been marked as a duplicate of this bug. ***
Comment 301 Jekyll Wu 2012-01-23 02:17:12 UTC
*** Bug 292242 has been marked as a duplicate of this bug. ***
Comment 302 Jekyll Wu 2012-01-23 07:57:16 UTC
*** Bug 292253 has been marked as a duplicate of this bug. ***
Comment 303 Jekyll Wu 2012-01-23 07:57:31 UTC
*** Bug 292254 has been marked as a duplicate of this bug. ***
Comment 304 Jekyll Wu 2012-01-23 09:44:52 UTC
*** Bug 292259 has been marked as a duplicate of this bug. ***
Comment 305 Thijs 2012-01-23 13:26:09 UTC
*** Bug 292267 has been marked as a duplicate of this bug. ***
Comment 306 Jekyll Wu 2012-01-23 14:04:21 UTC
*** Bug 292271 has been marked as a duplicate of this bug. ***
Comment 307 Ben Cooksley 2012-01-24 04:28:20 UTC
Removing CC'ed person as requested in #292261
Comment 308 Jekyll Wu 2012-01-24 09:32:09 UTC
*** Bug 292310 has been marked as a duplicate of this bug. ***
Comment 309 Jekyll Wu 2012-01-24 17:39:34 UTC
*** Bug 292341 has been marked as a duplicate of this bug. ***
Comment 310 Anne-Marie Mahfouf 2012-01-24 20:25:09 UTC
*** Bug 292354 has been marked as a duplicate of this bug. ***
Comment 311 Jekyll Wu 2012-01-25 00:26:29 UTC
*** Bug 292361 has been marked as a duplicate of this bug. ***
Comment 312 Dario Andres 2012-01-25 22:59:54 UTC
*** Bug 292417 has been marked as a duplicate of this bug. ***
Comment 313 Anne-Marie Mahfouf 2012-01-26 07:26:19 UTC
*** Bug 292434 has been marked as a duplicate of this bug. ***
Comment 314 Jekyll Wu 2012-01-26 16:28:17 UTC
*** Bug 292479 has been marked as a duplicate of this bug. ***
Comment 315 Jekyll Wu 2012-01-26 21:22:16 UTC
*** Bug 292512 has been marked as a duplicate of this bug. ***
Comment 316 Jekyll Wu 2012-01-31 04:26:25 UTC
*** Bug 292899 has been marked as a duplicate of this bug. ***
Comment 317 Jekyll Wu 2012-02-02 06:12:17 UTC
*** Bug 293085 has been marked as a duplicate of this bug. ***
Comment 318 Myriam Schweingruber 2012-06-19 18:43:31 UTC
*** Bug 301910 has been marked as a duplicate of this bug. ***
Comment 319 Myriam Schweingruber 2012-06-19 18:52:24 UTC
So sorry, but this is not solved, see comment #318
Comment 320 Justin Valois 2012-06-30 03:15:01 UTC
Created attachment 72227 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.8.3 (4.8.3) using Qt 4.8.1

- What I was doing when the application crashed
I had just completed updating my system

- Unusual behavior I noticed:
Flickered screen, then crash notice.

-- Backtrace (Reduced):
#6  isNull (this=0x50495243535f437c) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:580
#7  operator! (this=0x50495243535f437c) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:586
#8  Plasma::Applet::extender (this=0x29eb060) at ../../plasma/applet.cpp:784
#9  0x00007f735a19b0f3 in Plasma::ExtenderItem::returnToSource (this=0x29ea090) at ../../plasma/extenders/extenderitem.cpp:640
#10 0x00007f735a1c03f7 in Plasma::ExtenderApplet::~ExtenderApplet (this=0x19df650, __in_chrg=<optimized out>) at ../../plasma/private/extenderapplet.cpp:42
Comment 321 pbo 2012-06-30 03:15:39 UTC
I'm not in the office and will return Monday July 16th.

I will reply to your message upon my return.

Kind regards,
Paul Bonkain
Comment 322 gerlos 2012-07-18 12:01:16 UTC
This bug still affects me. 

I'm running Kubuntu 12.04, with latest KDE 4.8.4 from Kubuntu PPA, and Chromium 18.0.1025.168 from Ubuntu repos. 

Don't know if it's important or not, I'm running Kubuntu on a Macbook Pro (2009), with nVidia GeForce 9400M.

Doesn't matter how I close it (title bar button, menus, keyboard shortcut), but every time I close Chromium window (with more than 1 tab), Plasma crashes and restart, and drkonqui doesn't open (how do I get a backtrace?). 

This is really annoying, because Plasma restart cause kwin to change open windows sizes.
Comment 323 Myriam Schweingruber 2012-10-11 10:40:30 UTC
*** Bug 307440 has been marked as a duplicate of this bug. ***
Comment 324 Myriam Schweingruber 2012-11-04 19:09:35 UTC
*** Bug 309118 has been marked as a duplicate of this bug. ***
Comment 325 Martin Flöser 2013-05-29 12:01:23 UTC
*** Bug 288866 has been marked as a duplicate of this bug. ***
Comment 326 Martin Flöser 2013-05-29 12:02:07 UTC
*** Bug 288759 has been marked as a duplicate of this bug. ***
Comment 327 Martin Flöser 2013-05-29 12:02:56 UTC
*** Bug 288553 has been marked as a duplicate of this bug. ***
Comment 328 Martin Flöser 2013-05-29 12:05:34 UTC
*** Bug 286299 has been marked as a duplicate of this bug. ***
Comment 329 Martin Flöser 2013-05-29 12:06:01 UTC
*** Bug 287014 has been marked as a duplicate of this bug. ***
Comment 330 Christoph Feck 2013-10-27 19:42:06 UTC
The original bug, involving WindowTaskItem::publishIconGeometry(), was long fixed, closing again.

(The different bug, involving TaskManager::ToggleLauncherActionImpl::toggleLauncher() was not really a duplicate to begin with, but is resolved with 3ff3f433e07e78d12e1081e6e571c097216de591 in 4.11.1)
Comment 331 Kelley Castleberry 2013-10-29 10:00:51 UTC
Thank you Christoph for your dedication to the KDE project.  I have
become a huge fan and advocate.

On 10/27/2013 12:42 PM, Christoph Feck wrote:
> https://bugs.kde.org/show_bug.cgi?id=272495
>
> Christoph Feck <christoph@maxiom.de> changed:
>
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>              Status|REOPENED                    |RESOLVED
>          Resolution|---                         |FIXED
>
> --- Comment #330 from Christoph Feck <christoph@maxiom.de> ---
> The original bug, involving WindowTaskItem::publishIconGeometry(), was long
> fixed, closing again.
>
> (The different bug, involving
> TaskManager::ToggleLauncherActionImpl::toggleLauncher() was not really a
> duplicate to begin with, but is resolved with
> 3ff3f433e07e78d12e1081e6e571c097216de591 in 4.11.1)
>